Index: code.l
===================================================================
--- code.l	(revision 681)
+++ code.l	(arbetskopia)
@@ -539,7 +539,7 @@
   while (!done)
   {
     sp=p;
-    while ((c=*p++) && c!='\n');
+    while ((c=*p++) && c!='\n') ;
     if (c=='\n')
     {
       g_yyLineNr++;
@@ -574,7 +574,7 @@
   {
     char *sp=p;
     char c;
-    while ((c=*p++) && c!='\n');
+    while ((c=*p++) && c!='\n') ;
     if (c=='\n')
     {
       g_yyLineNr++;
Index: language.cpp
===================================================================
--- language.cpp	(revision 681)
+++ language.cpp	(arbetskopia)
@@ -26,6 +26,9 @@
 #ifdef LANG_NL
 #include "translator_nl.h"
 #endif
+#ifdef LANG_SV
+#include "translator_sv.h"
+#endif
 #ifdef LANG_SE
 #include "translator_se.h"
 #endif
@@ -169,12 +172,18 @@
     theTranslator=new TranslatorDutch;
   }
 #endif
-#ifdef LANG_SE
+#ifdef LANG_SV
   else if (L_EQUAL("swedish"))
   {
     theTranslator=new TranslatorDecoder(new TranslatorSwedish);
   }
 #endif
+#ifdef LANG_SE
+  else if (L_EQUAL("northernsami"))
+  {
+    theTranslator=new TranslatorDecoder(new TranslatorNorthernSami);
+  }
+#endif
 #ifdef LANG_CZ
   else if (L_EQUAL("czech"))
   {
Index: libdoxygen.pro.in
===================================================================
--- libdoxygen.pro.in	(revision 681)
+++ libdoxygen.pro.in	(arbetskopia)
@@ -135,6 +135,7 @@
 		translator_si.h \
 		translator_sk.h \
 		translator_sr.h \
+		translator_sv.h \
 		translator_tw.h \
 		translator_ua.h \
 		translator_vi.h \
Index: translator_sv.h
===================================================================
--- translator_sv.h	(revision 0)
+++ translator_sv.h	(revision 0)
@@ -0,0 +1,1834 @@
+/*-*- c-basic-offset: 2; tab-width: 8 -*-*/
+/******************************************************************************
+ *
+ * Copyright (C) 1997-2008 by Dimitri van Heesch.
+ * Copyright (C) 2009 by Stefan Bjrnelund.
+ *
+ * Permission to use, copy, modify, and distribute this software and its
+ * documentation under the terms of the GNU General Public License is hereby
+ * granted. No representations are made about the suitability of this software
+ * for any purpose. It is provided "as is" without express or implied warranty.
+ * See the GNU General Public License for more details.
+
+ * Documents produced by Doxygen are derivative works derived from the
+ * input used in their production; they are not affected by this license.
+
+ */
+
+/*
+ * Swedish translation by
+ * Samuel Hgglund      <sahag96@ite.mh.se>
+ * Xet Erixon           <xet@xeqt.com>
+ * Mikael Hallin        <mikaelhallin@yahoo.se>           2003-07-28
+ * Stefan Bjrnelund <stefanb+docygen@update.uu.se>
+
+ * First version (not complete) for Doxygen (not known)
+ * Extended and revised for Doxygen ? 1999-04-29
+ * Extended and revised for Doxygen ? 1999-05-27
+ * Extended and revised for Doxygen ? 1999-09-01
+ * Extended and revised for Doxygen ? 2003-07-28
+ * Extended and revised for Doxygen ? 2003-07-28
+ * Extended and revised for Doxygen ? 1999/04/29
+ * Extended and revised for Doxygen 1.5.8_20090129 2003/07/28
+ */
+/*
+==================================================================================
+Svensk versttning av:
+Samuel Hgglund      <sahag96@ite.mh.se>
+Xet Erixon           <xet@xeqt.com>
+Mikael Hallin        <mikaelhallin@yahoo.se>           2003-07-28
+==================================================================================
+Uppdateringar.
+1999/04/29
+*  Omskrivningar av en hel del ordval, t.ex.
+   ENG                  INNAN          EFTER
+   compound             inhngnad      sammansatt
+   structs              structs        strukter
+   unions               unions         unioner
+
+   osv...
+
+*  Alla versttnings-strngar returnerar i alla fall en ngot s nr vettig
+   frklaring...
+
+1999/05/27
+*  Det verkade som vi glmt en del mellanslag i vissa strngar vilket resulterade
+   i att en del ord blev ihopskrivna.
+
+*  Bytt en del ordval igen...
+   ENG                       INNAN          EFTER
+   reference manual          Uppslagsbok    referensmanual
+
+*  Skrivit ihop en del ord som innan hade bindestreck
+*  En del nya versttningar r tillagda.
+*  Gamla versttningar borttagna
+
+===================================================================================
+Problem!
+   Slot: nn hygglig svensk versttning???
+
+   Skicka grna synpunkter.
+===================================================================================
+1999/09/01
+*  Det verkar som om "namnrymd" r en hyggligt vedertagen svensk versttning
+   av "namespace", s jag kr med det frn och med nu.
+*  "interface" heter numera "grnssnitt"
+
+2003/07/28
+*  Jag har updaterat versttningen efter ett par rs trda..
+Problem!
+   Deprecated: nn hygglig svensk versttning???
+
+   Skicka grna synpunkter.
+*/
+/*  Translator's notes:
+
+	versttningskonventioner:
+	(Konventioner for konventioner:
+	  '?'    anger oversttningar, jag har varit i tveksam till
+	  '??'   anger tvivelaktiga oversttningar
+	  '..?'  anger ord, der nnnu icke r funderat p en oversttning til
+ 	  '(do.)' anger ord, dr som medevetet ej r oversatta,
+                  d det engenlsak orde r allmnt anvnt
+	  '(-> _)' anger ord, som jag fundet p en oversttngt till, men som jag
+	          r osker p vad det ska versttas till.
+	)
+	bug -> 'knt fel'
+	class -> klass
+	compound -> 'klass' ?
+	constructor -> konstruktr ?
+	destructor -> destruktor ??
+	directory -> katalog (kan ocks beskrivas som 'bibliotek','mapp','folder')
+	enumeration -> Upprkning
+	event -> hndelse ?
+	exception (-> undantag ?)
+	friend ..? vn
+	interface -> grnssnitt
+	member -> medlem
+	namespace -> namnrymd
+	overloaded -> verdefinierade ??
+	private -> privat
+	property -> egenskp ?
+	protected -> skyddad ?
+	public -> publik
+	reference(vb) -> "innehller referenser till" (?)
+	slot -> fack ??
+	source code -> kllkod
+	struct -> datastruktur
+	template -> mall ?
+	typedef -> typedefinition (?)
+	todo -> att gra
+	union ..?
+
+	Speciella:
+	'Inheritance diagram' -> Stamtavla  (ven om  arvsdiagram ocks gr bra)
+
+
+	-----
+
+	(Konstruktiv) kritik mottages med tacksamt!
+	-- Stefan Bjrnelund <stefanb+docygen@update.uu.se>
+ */
+
+#ifndef TRANSLATOR_SV_H
+#define TRANSLATOR_SV_H
+
+class TranslatorSwedish : public TranslatorAdapter_1_5_7
+{
+  public:
+
+    // --- Language control methods -------------------
+
+    /*! Used for identification of the language. The identification
+     * should not be translated. It should be replaced by the name
+     * of the language in English using lower-case characters only
+     * (e.g. "czech", "japanese", "russian", etc.). It should be equal to
+     * the identification used in language.cpp.
+     */
+    virtual QCString idLanguage()
+    { return "swedish"; }
+
+    /*! Used to get the LaTeX command(s) for the language support.
+     *  This method should return string with commands that switch
+     *  LaTeX to the desired language.  For example
+     *  <pre>"\\usepackage[german]{babel}\n"
+     *  </pre>
+     *  or
+     *  <pre>"\\usepackage{polski}\n"
+     *  "\\usepackage[latin2]{inputenc}\n"
+     *  "\\usepackage[T1]{fontenc}\n"
+     *  </pre>
+     */
+    virtual QCString latexLanguageSupportCommand()
+    {
+      return "\\usepackage[swedish]{babel}\n";
+    }
+
+    /*! return the language charset. This will be used for the HTML output */
+    virtual QCString idLanguageCharset()
+    {
+      return "iso-8859-1";
+    }
+
+    // --- Language translation methods -------------------
+
+    /*! used in the compound documentation before a list of related functions. */
+    virtual QCString trRelatedFunctions()
+    { return "Beslktade funktioner"; }
+
+    /*! subscript for the related functions. */
+    virtual QCString trRelatedSubscript()
+    { return "(Observera att dessa inte r medlemsfunktioner)"; }
+
+    /*! header that is put before the detailed description of files, classes and namespaces. */
+    virtual QCString trDetailedDescription()
+    { return "Detaljerad beskrivning"; }
+
+    /*! header that is put before the list of typedefs. */
+    virtual QCString trMemberTypedefDocumentation()
+    { return "Dokumentation av typdefinierade medlemmar"; }
+
+    /*! header that is put before the list of enumerations. */
+    virtual QCString trMemberEnumerationDocumentation()
+    { return "Dokumentation av egenupprknande medlemmar"; }
+
+    /*! header that is put before the list of member functions. */
+    virtual QCString trMemberFunctionDocumentation()
+    { return "Dokumentation av medlemsfunktioner"; }
+
+    /*! header that is put before the list of member attributes. */
+    virtual QCString trMemberDataDocumentation()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
+      {
+        return "Flt dokumentation";
+      }
+      else
+      {
+        return "Dokumentation av datamedlemmar";
+      }
+    }
+
+    /*! this is the text of a link put after brief descriptions. */
+    virtual QCString trMore()
+    { return "Mer..."; }
+
+    /*! put in the class documentation */
+    virtual QCString trListOfAllMembers()
+    { return "Lista ver alla medlemmar."; }
+
+    /*! used as the title of the "list of all members" page of a class */
+    virtual QCString trMemberList()
+    { return "Medlemslista"; }
+
+    /*! this is the first part of a sentence that is followed by a class name */
+    virtual QCString trThisIsTheListOfAllMembers()
+    { return "Det hr r en fullstndig lista ver medlemmar fr "; }
+
+    /*! this is the remainder of the sentence after the class name */
+    virtual QCString trIncludingInheritedMembers()
+    { return ", inklusive alla rvda medlemmar."; }
+
+    /*! this is put at the author sections at the bottom of man pages.
+     *  parameter s is name of the project name.
+     */
+    virtual QCString trGeneratedAutomatically(const char *s)
+    { QCString result="Automatiskt skapad av Doxygen";
+      if (s) result+=(QCString)" fr "+s;
+      result+=" frn kllkoden.";
+      return result;
+    }
+
+    /*! put after an enum name in the list of all members */
+    virtual QCString trEnumName()
+    { return "enum namn"; } // Kanke inte den bsta versttningen.
+    //{ return "upprkningsnamn"; } //??
+
+    /*! put after an enum value in the list of all members */
+    virtual QCString trEnumValue()
+    { return "enum vrde"; } // Kanke inte den bsta versttningen.
+      //{ return "upprkningsvrde"; } //??
+
+    /*! put after an undocumented member in the list of all members */
+    virtual QCString trDefinedIn()
+    { return "definierad i"; }
+
+    // quick reference sections
+
+    /*! This is put above each page as a link to the list of all groups of
+     *  compounds or files (see the \\group command).
+     */
+    virtual QCString trModules()
+    { return "Moduler"; }
+
+    /*! This is put above each page as a link to the class hierarchy */
+    virtual QCString trClassHierarchy()
+    { return "Klasshierarki"; }
+
+    /*! This is put above each page as a link to the list of annotated classes */
+    virtual QCString trCompoundList()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastrukturer";
+      } else {
+        return "Sammansatt klasslista";
+      }
+    }
+
+    /*! This is put above each page as a link to the list of documented files */
+    virtual QCString trFileList()
+    { return "Fillista"; }
+
+    /*! This is put above each page as a link to all members of compounds. */
+    virtual QCString trCompoundMembers()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Data flt";
+      } else {
+        return "Sammansatta klassmedlemmar";
+      }
+    }
+
+    /*! This is put above each page as a link to all members of files. */
+    virtual QCString trFileMembers()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Globala symboler";
+      } else {
+        return "Filmedlemmar";
+      }
+    }
+
+    /*! This is put above each page as a link to all related pages. */
+    virtual QCString trRelatedPages()
+    { return "Beslktade sidor"; }
+
+    /*! This is put above each page as a link to all examples. */
+    virtual QCString trExamples()
+    { return "Exempel"; }
+
+    /*! This is put above each page as a link to the search engine. */
+    virtual QCString trSearch()
+    { return "Sk"; }
+
+    /*! This is an introduction to the class hierarchy. */
+    virtual QCString trClassHierarchyDescription()
+    { return "Denna lista ver arv r grovt, men inte helt, "
+             "sorterad i alfabetisk ordning:";
+    }
+
+    /*! This is an introduction to the list with all files. */
+    virtual QCString trFileListDescription(bool extractAll)
+    {
+      QCString result="Hr fljer en lista ver alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="filer, med en kort beskrivning:";
+      return result;
+    }
+
+    /*! This is an introduction to the annotated compound list. */
+    virtual QCString trCompoundListDescription()
+    {
+
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Hr fljer datastrukturerna med korta beskrivningar:";
+      } else {
+        return "Hr fljer klasserna, strukterna, unionerna och "
+               "grnssnitten med korta beskrivningar:";
+      }
+    }
+
+    /*! This is an introduction to the page with all class members. */
+    virtual QCString trCompoundMembersDescription(bool extractAll)
+    {
+      QCString result="Hr r en lista ver alla ";
+      if (!extractAll) {
+        result+="dokumenterade ";
+      }
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        result+="struktur- och unions-flt";
+      } else {
+        result+="klassmedlemmar";
+      }
+      result+=" med lnkar till ";
+      if (!extractAll) {
+        if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+          result+="struktur/unions-dokumentationen fr varje flt:";
+        } else {
+          result+="klassdokumentationen fr varje medlem:";
+        }
+      } else {
+        if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+          result+=" strukturerna/unionerna de tillhr:";
+        } else {
+          result+="klasserna de tillhr:";
+        }
+      }
+      return result;
+    }
+
+    /*! This is an introduction to the page with all file members. */
+    virtual QCString trFileMembersDescription(bool extractAll)
+    {
+      QCString result="Hr fljer en lista ver alla ";
+      if (!extractAll) result+="dokumenterade ";
+
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
+      {
+        result+="funktioner, variabler, definitioner, enumerationer "
+                "och typdefinitioner";
+      }
+      else
+      {
+        result+= "filmedlemmar";
+      }
+      result+=", med lnkar till ";
+      if (extractAll)
+        result+= "filerna som de tillhr:";
+      else
+        result+= "dokumentationen:";
+      return result;
+    }
+
+    /*! This is an introduction to the page with the list of all examples */
+    virtual QCString trExamplesDescription()
+    { return "Hr fljer en lista med alla exempel:"; }
+
+    /*! This is an introduction to the page with the list of related pages */
+    virtual QCString trRelatedPagesDescription()
+    { return "Hr fljer en lista ver alla beslktade dokumentationssidor:";}
+
+    /*! This is an introduction to the page with the list of class/file groups */
+    virtual QCString trModulesDescription()
+    { return "Hr fljer en lista ver alla moduler:"; }
+
+    /*! This is used in HTML as the title of index.html. */
+    virtual QCString trDocumentation()
+    { return "Dokumentation"; }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * index of all groups.
+     */
+    virtual QCString trModuleIndex()
+    { return "Modulindex"; }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * class hierarchy.
+     */
+    virtual QCString trHierarchicalIndex()
+    { return "Hierarkiskt Index"; }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * annotated compound index.
+     */
+    virtual QCString trCompoundIndex()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Index ver datastrukturer";
+      } else {
+        return "Index ver sammensatta typer";
+      }
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * list of all files.
+     */
+    virtual QCString trFileIndex()
+    { return "Filindex"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all groups.
+     */
+    virtual QCString trModuleDocumentation()
+    { return "Dokumentation ver moduler"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all classes, structs and unions.
+     */
+    virtual QCString trClassDocumentation()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Dokumentation ver datastrukturer";
+      } else {
+        return "Documentation ver klasser";
+      }
+    }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all files.
+     */
+    virtual QCString trFileDocumentation()
+    { return "Dokumentation ver filer"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all examples.
+     */
+    virtual QCString trExampleDocumentation()
+    { return "Dokumentation ver exempel"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all related pages.
+     */
+    virtual QCString trPageDocumentation()
+    { return "Dokumentation av sidor"; }
+
+    /*! This is used in LaTeX as the title of the document */
+    virtual QCString trReferenceManual()
+    { return "Referensmanual"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of defines
+     */
+    virtual QCString trDefines()
+    { return "Definitioner"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of function prototypes
+     */
+    virtual QCString trFuncProtos()
+    { return "Funktionsprototyper"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of typedefs
+     */
+    virtual QCString trTypedefs()
+    { return "Typdefinitioner"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of enumerations
+     */
+    virtual QCString trEnumerations()
+    { return "Egenupprknande typer"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) functions
+     */
+    virtual QCString trFunctions()
+    { return "Funktioner"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
+    virtual QCString trVariables()
+    { return "Variabler"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
+    virtual QCString trEnumerationValues()
+    { return "Egenupprknade typers vrden"; }
+
+    /*! This is used in the documentation of a file before the list of
+     *  documentation blocks for defines
+     */
+    virtual QCString trDefineDocumentation()
+    { return "Dokumentation ver definitioner"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for function prototypes
+     */
+    virtual QCString trFunctionPrototypeDocumentation()
+    { return "Dokumentation ver funktionsprototyper"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for typedefs
+     */
+    virtual QCString trTypedefDocumentation()
+    { return "Dokumentation ver typdefinitioner"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration types
+     */
+    virtual QCString trEnumerationTypeDocumentation()
+    { return "Dokumentation ver egenupprknande typer"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for functions
+     */
+    virtual QCString trFunctionDocumentation()
+    { return "Dokumentation ver funktioner"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for variables
+     */
+    virtual QCString trVariableDocumentation()
+    { return "Dokumentation ver variabler"; }
+
+    /*! This is used in the documentation of a file/namespace/group before
+     *  the list of links to documented compounds
+     */
+    virtual QCString trCompounds()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastrukturer";
+      } else {
+        return "Sammansttning";
+      }
+    }
+
+    /*! This is used in the standard footer of each page and indicates when
+     *  the page was generated
+     */
+    virtual QCString trGeneratedAt(const char *date,const char *projName)
+    {
+      QCString result=(QCString)"Skapad "+date;
+      if (projName) result+=(QCString)" fr "+projName;
+      result+=(QCString)" av";
+      return result;
+    }
+    /*! This is part of the sentence used in the standard footer of each page.
+     */
+    virtual QCString trWrittenBy()
+    {
+      return "skriven av";
+    }
+
+    /*! this text is put before a class diagram */
+    virtual QCString trClassDiagram(const char *clName)
+    {
+      return (QCString)"Klassdiagram fr "+clName;
+    }
+
+    /*! this text is generated when the \\internal command is used. */
+    virtual QCString trForInternalUseOnly()
+    { return "Endast fr internt bruk."; }
+
+    /*! this text is generated when the \\warning command is used. */
+    virtual QCString trWarning()
+    { return "Varning"; }
+
+    /*! this text is generated when the \\version command is used. */
+    virtual QCString trVersion()
+    { return "Version"; }
+
+    /*! this text is generated when the \\date command is used. */
+    virtual QCString trDate()
+    { return "Datum"; }
+
+    /*! this text is generated when the \\return command is used. */
+    virtual QCString trReturns()
+    { return "Returnerar"; }
+
+    /*! this text is generated when the \\sa command is used. */
+    virtual QCString trSeeAlso()
+    { return "Se ven"; }
+
+    /*! this text is generated when the \\param command is used. */
+    virtual QCString trParameters()
+    { return "Parametrar"; }
+
+    /*! this text is generated when the \\exception command is used. */
+    virtual QCString trExceptions()
+    { return "Undantag"; }
+
+    /*! this text is used in the title page of a LaTeX document. */
+    virtual QCString trGeneratedBy()
+    { return "Skapad av"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990307
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used as the title of page containing all the index of all namespaces. */
+    virtual QCString trNamespaceList()
+    { return "Namnrymdslista"; }
+
+    /*! used as an introduction to the namespace list */
+    virtual QCString trNamespaceListDescription(bool extractAll)
+    {
+      QCString result="Hr r en lista ver alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="namnrymder med en kort beskrivning:";
+      return result;
+    }
+
+    /*! used in the class documentation as a header before the list of all
+     *  friends of a class
+     */
+    virtual QCString trFriends()
+    { return "Vnner"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990405
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used in the class documentation as a header before the list of all
+     * related classes
+     */
+    virtual QCString trRelatedFunctionDocumentation()
+    { return "Vnners och beslktade funktioners dokumentation"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990425
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used as the title of the HTML page of a class/struct/union */
+    virtual QCString trCompoundReference(const char *clName,
+                                    ClassDef::CompoundType compType,
+                                    bool isTemplate)
+    {
+      QCString result=(QCString)clName;
+      switch(compType)
+      {
+        case ClassDef::Class:      result+=" klass"; break;
+        case ClassDef::Struct:     result+=" strukt"; break;
+        case ClassDef::Union:      result+=" union"; break;
+        case ClassDef::Interface:  result+=" grnssnitt"; break;
+        case ClassDef::Protocol:   result+=" protokoll"; break;
+        case ClassDef::Category:   result+=" kategorier"; break;
+        case ClassDef::Exception:  result+=" undantag"; break;
+      }
+      if (isTemplate) result+="template";
+      result+="referens";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a file */
+    virtual QCString trFileReference(const char *fileName)
+    {
+      QCString result=fileName;
+      result+=" filreferens";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a namespace */
+    virtual QCString trNamespaceReference(const char *namespaceName)
+    {
+      QCString result=namespaceName;
+      result+=" namnrymdreferens";
+      return result;
+    }
+
+    virtual QCString trPublicMembers()
+    { return "Publika medlemmar"; }
+    virtual QCString trPublicSlots()
+    { return "Publika slots"; }
+    virtual QCString trSignals()
+    { return "Signaler"; }
+    virtual QCString trStaticPublicMembers()
+    { return "Statiska  publika medlemmar"; }
+    virtual QCString trProtectedMembers()
+    { return "Skyddade medlemmar"; }
+    virtual QCString trProtectedSlots()
+    { return "Skyddade slots"; }
+    virtual QCString trStaticProtectedMembers()
+    { return "Statiska skyddade medlemmar"; }
+    virtual QCString trPrivateMembers()
+    { return "Privata medlemmar"; }
+    virtual QCString trPrivateSlots()
+    { return "Privata slots"; }
+    virtual QCString trStaticPrivateMembers()
+    { return "Statiska privata medlemmar"; }
+
+    /*! this function is used to produce a comma-separated list of items.
+     *  use generateMarker(i) to indicate where item i should be put.
+     */
+    virtual QCString trWriteList(int numEntries)
+    {
+      QCString result;
+      int i;
+      // the inherits list contain `numEntries' classes
+      for (i=0;i<numEntries;i++)
+      {
+        // use generateMarker to generate placeholders for the class links!
+        result+=generateMarker(i); // generate marker for entry i in the list
+                                   // (order is left to right)
+
+        if (i!=numEntries-1)  // not the last entry, so we need a separator
+        {
+          if (i<numEntries-2) // not the fore last entry
+            result+=", ";
+          else                // the fore last entry
+            result+=", och ";
+        }
+      }
+      return result;
+    }
+
+    /*! used in class documentation to produce a list of base classes,
+     *  if class diagrams are disabled.
+     */
+    virtual QCString trInheritsList(int numEntries)
+    {
+      return "rver "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in class documentation to produce a list of super classes,
+     *  if class diagrams are disabled.
+     */
+    virtual QCString trInheritedByList(int numEntries)
+    {
+      return "rvd av "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in member documentation blocks to produce a list of
+     *  members that are hidden by this one.
+     */
+    virtual QCString trReimplementedFromList(int numEntries)
+    {
+      return "terskapad frn "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in member documentation blocks to produce a list of
+     *  all member that overwrite the implementation of this member.
+     */
+    virtual QCString trReimplementedInList(int numEntries)
+    {
+      return "terskapad i "+trWriteList(numEntries)+".";
+    }
+
+    /*! This is put above each page as a link to all members of namespaces. */
+    virtual QCString trNamespaceMembers()
+    { return "Namnrymdsmedlemmar"; }
+
+    /*! This is an introduction to the page with all namespace members */
+    virtual QCString trNamespaceMemberDescription(bool extractAll)
+    {
+      QCString result="Hr r en lista ver alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="namnrymdsmedlemmar med lnkar till ";
+      if (extractAll)
+        result+=" namnrymd-dokumentationen fr varje medlem:";
+      else
+        result+="de namnrymder de tillhr:";
+      return result;
+    }
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all namespaces.
+     */
+    virtual QCString trNamespaceIndex()
+    { return "Namnrymdsindex"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all namespaces.
+     */
+    virtual QCString trNamespaceDocumentation()
+      { return "Namnrymd-dokumentation"; }
+    //////////////////////////////////////////////////////////////////////////
+// new since 0.49-990522
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used in the documentation before the list of all
+     *  namespaces in a file.
+     */
+    virtual QCString trNamespaces()
+    { return "Namnrymder"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990728
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is put at the bottom of a class documentation page and is
+     *  followed by a list of files that were used to generate the page.
+     */
+    virtual QCString trGeneratedFromFiles(ClassDef::CompoundType compType,
+        bool single)
+    { // single is true implies a single file
+      QCString result=(QCString)"Dokumentationen fr ";
+      switch(compType)
+      {
+        case ClassDef::Class:      result+="denna klass"; break;
+        case ClassDef::Struct:     result+="denna strukt"; break;
+        case ClassDef::Union:      result+="denna union"; break;
+        case ClassDef::Interface:  result+="detta grnssnitt"; break;
+        case ClassDef::Protocol:   result+="detta protokoll"; break;
+        case ClassDef::Category:   result+="denna kategori"; break;
+        case ClassDef::Exception:  result+="detta undantag"; break;
+      }
+      result+="var genererad frn fljande fil";
+      if (single) result+=":"; else result+="er:";
+      return result;
+    }
+
+    /*! This is in the (quick) index as a link to the alphabetical compound
+     * list.
+     */
+    virtual QCString trAlphabeticalList()
+    { return "Alfabetisk lista"; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-990901
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used as the heading text for the retval command. */
+    virtual QCString trReturnValues()
+    { return "Returvrden"; }
+
+    /*! This is in the (quick) index as a link to the main page (index.html)
+     */
+    virtual QCString trMainPage()
+    { return "Huvudsida"; }
+
+    /*! This is used in references to page that are put in the LaTeX
+     *  documentation. It should be an abbreviation of the word page.
+     */
+    virtual QCString trPageAbbreviation()
+    { return "s."; }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-991003
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trDefinedAtLineInSourceFile()
+    {
+      return "Definition p rad @0 i filen @1.";
+    }
+
+    virtual QCString trDefinedInSourceFile()
+    {
+      return "Definition i filen @0.";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 0.49-991205
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trDeprecated()
+    {
+      return "Frldrad";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.0.0
+//////////////////////////////////////////////////////////////////////////
+
+    /*! this text is put before a collaboration diagram */
+    virtual QCString trCollaborationDiagram(const char *clName)
+    {
+      return (QCString)"Samarbetsdiagram fr "+clName+":";
+    }
+    /*! this text is put before an include dependency graph */
+    virtual QCString trInclDepGraph(const char *fName)
+    {
+      return (QCString)"Inklude-beroendediagram fr "+fName+":";
+    }
+    /*! header that is put before the list of constructor/destructors. */
+    virtual QCString trConstructorDocumentation()
+    {
+      return "Dokumentation av konstruktorer och destruktorer";
+    }
+    /*! Used in the file documentation to point to the corresponding sources. */
+    virtual QCString trGotoSourceCode()
+    {
+      return "G till denna fils kllkod.";
+    }
+    /*! Used in the file sources to point to the corresponding documentation. */
+    virtual QCString trGotoDocumentation()
+    {
+      return "G till denna fils dokumentation.";
+    }
+    /*! Text for the \\pre command */
+    virtual QCString trPrecondition()
+    {
+      return "Frhandsvillkor";
+    }
+    /*! Text for the \\post command */
+    virtual QCString trPostcondition()
+    {
+      return "Resultat"; //"Postcondition";
+    }
+    /*! Text for the \\invariant command */
+    virtual QCString trInvariant()
+    {
+      return "Invariant";
+    }
+    /*! Text shown before a multi-line variable/enum initialization */
+    virtual QCString trInitialValue()
+    {
+      return "Begynnelsevrde:";
+    }
+    /*! Text used the source code in the file index */
+    virtual QCString trCode()
+    { return "kllkod"; }
+    virtual QCString trGraphicalHierarchy()
+    {
+      return "Grafisk klasshierarki";
+    }
+    virtual QCString trGotoGraphicalHierarchy()
+    {
+      return "G till den grafiska klasshierarkin";
+    }
+    virtual QCString trGotoTextualHierarchy()
+    {
+      return "G till den textbaserade klasshierarkin";
+    }
+    virtual QCString trPageIndex()
+    {
+      return "Sidindex";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.0
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trNote()
+    {
+      return "Notera";
+    }
+    virtual QCString trPublicTypes()
+    {
+      return "Publika typer";
+    }
+    virtual QCString trPublicAttribs()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Dataflt";
+      } else {
+        return "Publika attribut";
+      }
+    }
+    virtual QCString trStaticPublicAttribs()
+    {
+      return "Statiska publika attribut";
+    }
+    virtual QCString trProtectedTypes()
+    {
+      return "Skyddade typer";
+    }
+    virtual QCString trProtectedAttribs()
+    {
+      return "Skyddade attribut";
+    }
+    virtual QCString trStaticProtectedAttribs()
+    {
+      return "Statiska skyddade attribut";
+    }
+    virtual QCString trPrivateTypes()
+    {
+      return "Privata typer";
+    }
+    virtual QCString trPrivateAttribs()
+    {
+      return "Privata attribut";
+    }
+    virtual QCString trStaticPrivateAttribs()
+    {
+      return "Statiska privata attribut";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.3
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a marker that is put before a \\todo item */
+    virtual QCString trTodo()
+    {
+      return "Att-gra";
+    }
+    /*! Used as the header of the todo list */
+    virtual QCString trTodoList()
+    {
+      return "Att-gra lista";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.4
+//////////////////////////////////////////////////////////////////////////
+
+    virtual QCString trReferencedBy()
+    {
+      return "Refererad av";
+    }
+    virtual QCString trRemarks()
+    {
+      return "Lgg mrke till";
+    }
+    virtual QCString trAttention()
+    {
+      return "Observera";
+    }
+    virtual QCString trInclByDepGraph()
+    {
+      return "Den hr grafen visar vilka filer som direkt eller "
+	      "indirekt inkluderar denna filen.";
+    }
+    virtual QCString trSince()
+    {
+      return "Sedan";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.1.5
+//////////////////////////////////////////////////////////////////////////
+
+    /*! title of the graph legend page */
+    virtual QCString trLegendTitle()
+    {
+      return "Graffrklaring";
+    }
+    /*! page explaining how the dot graph's should be interpreted
+     *  The %A in the text below are to prevent link to classes called "A".
+     */
+    virtual QCString trLegendDocs()
+    {
+      return
+        "Den hr sidan frklarar hur man ska tolka de grafer som doxygen "
+        "genererar.<p>\n"
+        "Tag fljande exempel:\n"
+        "\\code\n"
+	"/*! Osynlig klass p grund av stympning */\n"
+        "class Invisible { };\n\n"
+	"/*! Stympad klass, rvningsrelationen r dold */\n"
+        "class Truncated : public Invisible { };\n\n"
+	"/* Klass utan doxygen-kommentarer */\n"
+        "class Undocumented { };\n\n"
+	"/*! Klass som rvs med publikt arv */\n"
+        "class PublicBase : public Truncated { };\n\n"
+        "/*! En template-klass */\n"
+        "template<class T> class Templ { };\n\n"
+	"/*! Klass som rvs med skyddat arv */\n"
+        "class ProtectedBase { };\n\n"
+	"/*! Klass som rvs med privat arv */\n"
+        "class PrivateBase { };\n\n"
+	"/*! Klass som anvnds av Inherited klassen */\n"
+        "class Used { };\n\n"
+	"/*! Super klassen som rver ett antal andra klasser */\n"
+        "class Inherited : public PublicBase,\n"
+        "                  protected ProtectedBase,\n"
+        "                  private PrivateBase,\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
+        "{\n"
+        "  private:\n"
+        "    Used *m_usedClass;\n"
+        "};\n"
+        "\\endcode\n"
+	"Om \\c MAX_DOT_GRAPH_HEIGHT r satt till 240 i konfigurationsfilen, "
+	"kommer fljande graf att generas:"
+        "<p><center><img alt=\"\" src=\"graph_legend."+Config_getEnum("DOT_IMAGE_FORMAT")+"\"></center>\n"
+        "<p>\n"
+	"Rektanglarna i den ovanstende grafen har fljande betydelser:\n"
+        "<ul>\n"
+	"<li>%En fylld svart rektangel representerar den strukt eller klass "
+	"som har genererat grafen.\n"
+	"<li>%En rektangel med svart kant symboliserar en dokumenterad "
+	"strukt eller klass.\n"
+	"<li>%En rektangel med gr kant symboliserar en odokumenterad strukt "
+	"eller klass.\n"
+	"<li>%En klass med rd kant symboliserar en strukt eller klass dr "
+	"alla dess relationer inte visas. %En graf stympas om den inte fr "
+	"plats inom de givna grnserna.\n"
+        "</ul>\n"
+	"Pilarna har fljande betydelser:\n"
+        "<ul>\n"
+	"<li>%En mrkbl pil anvnds fr att visualisera en publik arvrelation "
+	"mellan tv klasser.\n"
+	"<li>%En mrkgrn pil anvnds fr en skyddad arvsrelation.\n"
+	"<li>%En mrkrd pil anvnds fr en privat arvsrelation.\n"
+	"<li>%En strckad lila pil anvnds om en klass r innesluten eller "
+	"anvnd av en annan klass. Vid pilen str namnet p den eller de "
+	"variabler som klassen pilen pekar p kommer t.\n"
+	"<li>%En strckad gul pil symboliserar frhllandet mellan en "
+	"template-instans och template-klassen, som den instantierades frn.\n"
+	"Vid pilen str instansens template-parametrar.\n"
+        "</ul>\n";
+    }
+
+    /*! text for the link to the legend page */
+    virtual QCString trLegend()
+    {
+      return "frklaring";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.0
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a marker that is put before a test item */
+    virtual QCString trTest()
+    {
+      return "Test";
+    }
+    /*! Used as the header of the test list */
+    virtual QCString trTestList()
+    {
+      return "Testlista";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.1
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a section header for KDE-2 IDL methods */
+    virtual QCString trDCOPMethods()
+    {
+      return "DCOP metoder";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.2
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a section header for IDL properties */
+    virtual QCString trProperties()
+    {
+      return "Egenskaper";
+    }
+    /*! Used as a section header for IDL property documentation */
+    virtual QCString trPropertyDocumentation()
+    {
+      return "Egenskapsdokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.4
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used for Java classes in the summary section of Java packages */
+    virtual QCString trClasses()
+    {
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
+        return "Datastrukturer";
+      } else {
+        return "Klasser";
+      }
+    }
+    /*! Used as the title of a Java package */
+    virtual QCString trPackage(const char *name)
+    {
+      return (QCString)"Paket "+name;
+    }
+    /*! Title of the package index page */
+    virtual QCString trPackageList()
+    {
+      return "Paketlista";
+    }
+    /*! The description of the package index page */
+    virtual QCString trPackageListDescription()
+    {
+      return "Hr r en lista ver paketen med en kort beskrivning "
+             "(om sdan finns):";
+    }
+    /*! The link name in the Quick links header for each page */
+    virtual QCString trPackages()
+    {
+      return "Paket";
+    }
+    /*! Text shown before a multi-line define */
+    virtual QCString trDefineValue()
+    {
+      return "Vrde:";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.5
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a marker that is put before a \\bug item */
+    virtual QCString trBug()
+    {
+      return "Bugg";
+    }
+    /*! Used as the header of the bug list */
+    virtual QCString trBugList()
+    {
+      return "Bugglista";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.6
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as ansicpg for RTF file
+     * The following table shows the correlation of Charset name, Charset Value and
+     * <pre>
+     * Codepage number:
+     * Charset Name       Charset Value(hex)  Codepage number
+     * ------------------------------------------------------
+     * DEFAULT_CHARSET           1 (x01)
+     * SYMBOL_CHARSET            2 (x02)
+     * OEM_CHARSET             255 (xFF)
+     * ANSI_CHARSET              0 (x00)            1252
+     * RUSSIAN_CHARSET         204 (xCC)            1251
+     * EE_CHARSET              238 (xEE)            1250
+     * GREEK_CHARSET           161 (xA1)            1253
+     * TURKISH_CHARSET         162 (xA2)            1254
+     * BALTIC_CHARSET          186 (xBA)            1257
+     * HEBREW_CHARSET          177 (xB1)            1255
+     * ARABIC _CHARSET         178 (xB2)            1256
+     * SHIFTJIS_CHARSET        128 (x80)             932
+     * HANGEUL_CHARSET         129 (x81)             949
+     * GB2313_CHARSET          134 (x86)             936
+     * CHINESEBIG5_CHARSET     136 (x88)             950
+     * </pre>
+     */
+    virtual QCString trRTFansicp()
+    {
+      return "1252";
+    }
+
+
+    /*! Used as ansicpg for RTF fcharset
+     *  \see trRTFansicp() for a table of possible values.
+     */
+    virtual QCString trRTFCharSet()
+    {
+      return "0";
+    }
+
+    /*! Used as header RTF general index */
+    virtual QCString trRTFGeneralIndex()
+    {
+      return "Index";
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trClass(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "klass", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trFile(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "fil", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trNamespace(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "namnrymd", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trGroup(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "grupp", "er");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trPage(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Sid" : "sid"));
+      if (singular)
+	result+="a";
+      //result+="an";
+      else
+	result+="or";
+      //result+="orna";
+      return result;
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trMember(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "medlem", "mar");
+    }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trGlobal(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "global", "a");
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.7
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This text is generated when the \\author command is used and
+     *  for the author section in man pages. */
+    virtual QCString trAuthor(bool first_capital, bool /*singular*/)
+    {
+      QCString result((first_capital ? "Frfattare" : "frfattare"));
+      //QCString result((first_capital ? "Frfattar" : "Frfattar"));
+      //if (singular)
+      //  result+="e";
+      //else
+      //  result+="na";
+      return result;
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.11
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This text is put before the list of members referenced by a member
+     */
+    virtual QCString trReferences()
+    {
+      return "Referenser";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.13
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used in member documentation blocks to produce a list of
+     *  members that are implemented by this one.
+     */
+    virtual QCString trImplementedFromList(int numEntries)
+    {
+      return "Implementerar "+trWriteList(numEntries)+".";
+    }
+
+    /*! used in member documentation blocks to produce a list of
+     *  all members that implement this abstract member.
+     */
+    virtual QCString trImplementedInList(int numEntries)
+    {
+      return "Implementerad i "+trWriteList(numEntries)+".";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.16
+//////////////////////////////////////////////////////////////////////////
+
+    /*! used in RTF documentation as a heading for the Table
+     *  of Contents.
+     */
+    virtual QCString trRTFTableOfContents()
+    {
+      return "Innehllsfrteckning";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.17
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as the header of the list of item that have been
+     *  flagged deprecated
+     */
+    virtual QCString trDeprecatedList()
+    {
+      return "Lista ver frldrade";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.2.18
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a header for declaration section of the events found in
+     * a C# program
+     */
+    virtual QCString trEvents()
+    {
+      return "Hndelser";
+    }
+    /*! Header used for the documentation section of a class' events. */
+    virtual QCString trEventDocumentation()
+    {
+      return "Hndelse Dokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used as a heading for a list of Java class types with package scope.
+     */
+    virtual QCString trPackageTypes()
+    {
+      return "Paket typer";
+    }
+    /*! Used as a heading for a list of Java class functions with package
+     * scope.
+     */
+    virtual QCString trPackageMembers()
+    {
+      return "Paket funktioner";
+    }
+    /*! Used as a heading for a list of static Java class functions with
+     *  package scope.
+     */
+    virtual QCString trStaticPackageMembers()
+    {
+      return "Statiska paket funktioner";
+    }
+    /*! Used as a heading for a list of Java class variables with package
+     * scope.
+     */
+    virtual QCString trPackageAttribs()
+    {
+      return "Paket attribut";
+    }
+    /*! Used as a heading for a list of static Java class variables with
+     * package scope.
+     */
+    virtual QCString trStaticPackageAttribs()
+    {
+      return "Statiska paket attribut";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.1
+//////////////////////////////////////////////////////////////////////////
+
+    /*! Used in the quick index of a class/file/namespace member list page
+     *  to link to the unfiltered list of all members.
+     */
+    virtual QCString trAll()
+    {
+      return "Alla";
+    }
+    /*! Put in front of the call graph for a function. */
+    virtual QCString trCallGraph()
+    {
+      return "Hr r anropnings diagrammet fr den hr funktionen:";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.3
+//////////////////////////////////////////////////////////////////////////
+
+    /*! When the search engine is enabled this text is put in the header
+     *  of each page before the field where one can enter the text to search
+     *  for.
+     */
+    virtual QCString trSearchForIndex()
+    {
+      return "Sk efter";
+    }
+    /*! This string is used as the title for the page listing the search
+     *  results.
+     */
+    virtual QCString trSearchResultsTitle()
+    {
+      return "Skresultat";
+    }
+    /*! This string is put just before listing the search results. The
+     *  text can be different depending on the number of documents found.
+     *  Inside the text you can put the special marker $num to insert
+     *  the number representing the actual number of search results.
+     *  The @a numDocuments parameter can be either 0, 1 or 2, where the
+     *  value 2 represents 2 or more matches. HTML markup is allowed inside
+     *  the returned string.
+     */
+    virtual QCString trSearchResults(int numDocuments)
+    {
+      if (numDocuments==0) {
+        return "Tyvrr finns det inga dokument passade ditt skkriterium.";
+      } else if (numDocuments==1) {
+        return "Hittade <b>1</b> dokument, stmde p ditt skkriterium.";
+      } else {
+        return
+	  "Hittade <b>$num</b> dokument, stmde p ditt skkriterium. "
+	  "Visar de bsta trffarna frst.";
+      }
+    }
+    /*! This string is put before the list of matched words, for each search
+     *  result. What follows is the list of words that matched the query.
+     */
+    virtual QCString trSearchMatches()
+    {
+      return "Trffar:";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.8
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used in HTML as the title of page with source code for file filename
+     */
+    virtual QCString trSourceFile(QCString& filename)
+    {
+      return "Kllkodsfilen " + filename;
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.3.9
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used as the name of the chapter containing the directory
+     *  hierarchy.
+     */
+    virtual QCString trDirIndex()
+    { return "Katalogstruktur"; }
+
+    /*! This is used as the name of the chapter containing the documentation
+     *  of the directories.
+     */
+    virtual QCString trDirDocumentation()
+    { return "Katalogdokumentation"; }
+
+    /*! This is used as the title of the directory index and also in the
+     *  Quick links of a HTML page, to link to the directory hierarchy.
+     */
+    virtual QCString trDirectories()
+    { return "Kataloger"; }
+
+    /*! This returns a sentences that introduces the directory hierarchy.
+     *  and the fact that it is sorted alphabetically per level
+     */
+    virtual QCString trDirDescription()
+	{ return "Den hr katalogen r grovt sorterad, "
+             "men inte helt, i alfabetisk ordning:";
+    }
+
+    /*! This returns the title of a directory page. The name of the
+     *  directory is passed via \a dirName.
+     */
+    virtual QCString trDirReference(const char *dirName)
+    { QCString result=dirName; result+=" Katalogreferens"; return result; }
+
+    /*! This returns the word directory with or without starting capital
+     *  (\a first_capital) and in sigular or plural form (\a singular).
+     */
+    virtual QCString trDir(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "katalog", "er");
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.4.1
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This text is added to the documentation when the \\overload command
+     *  is used for a overloaded function.
+     */
+    virtual QCString trOverloadText()
+    {
+      return "Det hr r en verlagrad medlemsfunktion "
+             "tillhandahllen fr bekvmlighet. Den enda som "
+             "skiljer sig frn ovanstende funktion r vilka "
+             "argument den tar emot.";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.4.6
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used to introduce a caller (or called-by) graph */
+    virtual QCString trCallerGraph()
+    {
+      return "Hr r katalog-grafen fr denna funktion:";
+    }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration values
+     */
+    virtual QCString trEnumerationValueDocumentation()
+    {
+      return "Upprknings-dokumentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.5.4 (mainly for Fortran)
+//////////////////////////////////////////////////////////////////////////
+
+    /*! header that is put before the list of member subprograms (Fortran). */
+    virtual QCString trMemberFunctionDocumentationFortran()
+    { return "Memlems-function/Subroutins Dokumentation"; }
+
+    /*! This is put above each page as a link to the list of annotated data types (Fortran). */
+    virtual QCString trCompoundListFortran()
+    { return "Datatyplista"; }
+
+    /*! This is put above each page as a link to all members of compounds (Fortran). */
+    virtual QCString trCompoundMembersFortran()
+    { return "Data flt"; }
+
+    /*! This is an introduction to the annotated compound list (Fortran). */
+    virtual QCString trCompoundListDescriptionFortran()
+    { return "Hr r datatyperna med en kort beskrivning:"; }
+
+    /*! This is an introduction to the page with all data types (Fortran). */
+    virtual QCString trCompoundMembersDescriptionFortran(bool extractAll)
+    {
+      QCString result="Hr r en lista av alla ";
+      if (!extractAll)
+      {
+        result+="dokumenterade ";
+      }
+      result+="datatyps medlemmar";
+      result+=" med lnkar till ";
+      if (!extractAll)
+      {
+         result+="datastrukturs documentation fr varje medlem";
+      }
+      else
+      {
+         result+="klasserna de hr till:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * annotated compound index (Fortran).
+     */
+    virtual QCString trCompoundIndexFortran()
+    { return "Datatyps Index"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all data types (Fortran).
+     */
+    virtual QCString trTypeDocumentation()
+    { return "Dataryps Dokumentation"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) subprograms (Fortran).
+     */
+    virtual QCString trSubprograms()
+    { return "Funktions/Subroutins"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for subprograms (Fortran)
+     */
+    virtual QCString trSubprogramDocumentation()
+    { return "Funktion/Subroutin Dokumentation"; }
+
+    /*! This is used in the documentation of a file/namespace/group before
+     *  the list of links to documented compounds (Fortran)
+     */
+     virtual QCString trDataTypes()
+    { return "Datatyper"; }
+
+    /*! used as the title of page containing all the index of all modules (Fortran). */
+    virtual QCString trModulesList()
+    { return "Modullista"; }
+
+    /*! used as an introduction to the modules list (Fortran) */
+    virtual QCString trModulesListDescription(bool extractAll)
+    {
+      QCString result="Hr r en lista p alla ";
+      if (!extractAll) result+="dokumenterade ";
+      result+="moduler med en kort beskrivning:";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a module/type (Fortran) */
+    virtual QCString trCompoundReferenceFortran(const char *clName,
+                                    ClassDef::CompoundType compType,
+                                    bool isTemplate)
+    {
+      QCString result=(QCString)clName;
+      switch(compType)
+      {
+        case ClassDef::Class:      result+=" Modul"; break;
+        case ClassDef::Struct:     result+=" Typ"; break;
+        case ClassDef::Union:      result+=" Union"; break;
+        case ClassDef::Interface:  result+=" Grnssnitt"; break;
+        case ClassDef::Protocol:   result+=" Protokoll"; break;
+        case ClassDef::Category:   result+=" Kategori"; break;
+        case ClassDef::Exception:  result+=" Undantag"; break;
+      }
+      if (isTemplate) result+=" Mall";
+      result+=" Referens";
+      return result;
+    }
+    /*! used as the title of the HTML page of a module (Fortran) */
+    virtual QCString trModuleReference(const char *namespaceName)
+    {
+      QCString result=namespaceName;
+      result+=" Modul Referens";
+      return result;
+    }
+
+    /*! This is put above each page as a link to all members of modules. (Fortran) */
+    virtual QCString trModulesMembers()
+    { return "Modul Medlemmar"; }
+
+    /*! This is an introduction to the page with all modules members (Fortran) */
+    virtual QCString trModulesMemberDescription(bool extractAll)
+    {
+      QCString result="Hr r en lista p alla ";
+      if (!extractAll) result+="documented ";
+      result+="modul medlemmar med lnkar till ";
+      if (extractAll)
+      {
+        result+="modul dokumentationen fr varje medlem:";
+      }
+      else
+      {
+        result+="modulerna de hr till:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all modules (Fortran).
+     */
+    virtual QCString trModulesIndex()
+    { return "Modul Index"; }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trModule(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "modul", "er");
+    }
+    /*! This is put at the bottom of a module documentation page and is
+     *  followed by a list of files that were used to generate the page.
+     */
+    virtual QCString trGeneratedFromFilesFortran(ClassDef::CompoundType compType,
+        bool single)
+    {
+      // single is true implies a single file
+      QCString result=(QCString)"Dokumentationen fr denna ";
+      switch(compType)
+      {
+        case ClassDef::Class:      result+="modul"; break;
+        case ClassDef::Struct:     result+="typ"; break;
+        case ClassDef::Union:      result+="union"; break;
+        case ClassDef::Interface:  result+="grnssnitt"; break;
+        case ClassDef::Protocol:   result+="protokoll"; break;
+        case ClassDef::Category:   result+="kategori"; break;
+        case ClassDef::Exception:  result+="undantag"; break;
+      }
+      result+=" genererades frn fljade fil";
+      if (single) result+=":"; else result+="er:";
+      return result;
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trType(bool first_capital, bool singular)
+    {
+      return createNoun(first_capital, singular, "typ", "er");
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trSubprogram(bool first_capital, bool /*singular*/)
+    {
+      QCString result((first_capital ? "Subprogram" : "subprogram"));
+      return result;
+    }
+
+    /*! C# Type Constraint list */
+    virtual QCString trTypeConstraints()
+    {
+      return "Typbegrnsningar";
+    }
+
+/*---------- For internal use: ----------------------------------------*/
+  protected:
+    /*! For easy flexible-noun implementation.
+     *  \internal
+     */
+    QCString createNoun(bool first_capital, bool singular,
+			const char* base, const char* plurSuffix)
+    {
+      QCString result(base);
+      if (first_capital) result.at(0) = toupper(result.at(0));
+      if (!singular)  result+=plurSuffix;
+      return result;
+    }
+
+};
+
+#endif
Index: lang_cfg.h
===================================================================
--- lang_cfg.h	(revision 681)
+++ lang_cfg.h	(arbetskopia)
@@ -1,5 +1,6 @@
 #define LANG_NL
-#define LANG_SE
+#define LANG_SV
+//#define LANG_SE
 #define LANG_CZ
 #define LANG_FR
 #define LANG_ID
Index: docparser.cpp
===================================================================
--- docparser.cpp	(revision 681)
+++ docparser.cpp	(arbetskopia)
@@ -4461,7 +4461,7 @@
   int retval = doctokenizerYYlex();
   // search for the first non-whitespace line, index is stored in li
   int i=0,li=0,l=g_token->verb.length();
-  while (i<l && g_token->verb.at(i)==' ' || g_token->verb.at(i)=='\n')
+  while ((i<l && g_token->verb.at(i)==' ') || g_token->verb.at(i)=='\n')
   {
     if (g_token->verb.at(i)=='\n') li=i+1;
     i++;
Index: translator_adapter.h
===================================================================
--- translator_adapter.h	(revision 681)
+++ translator_adapter.h	(arbetskopia)
@@ -41,10 +41,17 @@
 
 };
 
-class TranslatorAdapter_1_5_4 : public TranslatorAdapterBase
+class TranslatorAdapter_1_5_7 : public TranslatorAdapterBase
 {
   public:
     virtual QCString updateNeededMessage()
+    { return QCString(""); }
+};
+
+class TranslatorAdapter_1_5_4 : public TranslatorAdapter_1_5_7
+{
+  public:
+    virtual QCString updateNeededMessage()
     { return createUpdateNeededMessage(idLanguage(),"release 1.5.4"); }
 
     virtual QCString trMemberFunctionDocumentationFortran()
Index: translator_en.h
===================================================================
--- translator_en.h	(revision 681)
+++ translator_en.h	(arbetskopia)
@@ -1,12 +1,12 @@
 /******************************************************************************
  *
- * 
  *
+ *
  * Copyright (C) 1997-2008 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
- * documentation under the terms of the GNU General Public License is hereby 
- * granted. No representations are made about the suitability of this software 
+ * documentation under the terms of the GNU General Public License is hereby
+ * granted. No representations are made about the suitability of this software
  * for any purpose. It is provided "as is" without express or implied warranty.
  * See the GNU General Public License for more details.
  *
@@ -18,7 +18,7 @@
 #ifndef TRANSLATOR_EN_H
 #define TRANSLATOR_EN_H
 
-/*! 
+/*!
  When defining a translator class for the new language, follow
  the description in the documentation.  One of the steps says
  that you should copy the translator_en.h (this) file to your
@@ -45,19 +45,19 @@
   public:
 
     // --- Language control methods -------------------
-    
-    /*! Used for identification of the language. The identification 
-     * should not be translated. It should be replaced by the name 
+
+    /*! Used for identification of the language. The identification
+     * should not be translated. It should be replaced by the name
      * of the language in English using lower-case characters only
-     * (e.g. "czech", "japanese", "russian", etc.). It should be equal to 
+     * (e.g. "czech", "japanese", "russian", etc.). It should be equal to
      * the identification used in language.cpp.
      */
     virtual QCString idLanguage()
     { return "english"; }
-    
-    /*! Used to get the LaTeX command(s) for the language support. 
+
+    /*! Used to get the LaTeX command(s) for the language support.
      *  This method should return string with commands that switch
-     *  LaTeX to the desired language.  For example 
+     *  LaTeX to the desired language.  For example
      *  <pre>"\\usepackage[german]{babel}\n"
      *  </pre>
      *  or
@@ -65,7 +65,7 @@
      *  "\\usepackage[latin2]{inputenc}\n"
      *  "\\usepackage[T1]{fontenc}\n"
      *  </pre>
-     * 
+     *
      * The English LaTeX does not use such commands.  Because of this
      * the empty string is returned in this implementation.
      */
@@ -97,30 +97,30 @@
     /*! header that is put before the list of typedefs. */
     virtual QCString trMemberTypedefDocumentation()
     { return "Member Typedef Documentation"; }
-    
+
     /*! header that is put before the list of enumerations. */
     virtual QCString trMemberEnumerationDocumentation()
     { return "Member Enumeration Documentation"; }
-    
+
     /*! header that is put before the list of member functions. */
     virtual QCString trMemberFunctionDocumentation()
     { return "Member Function Documentation"; }
-    
+
     /*! header that is put before the list of member attributes. */
     virtual QCString trMemberDataDocumentation()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Field Documentation"; 
+        return "Field Documentation";
       }
       else
       {
-        return "Member Data Documentation"; 
+        return "Member Data Documentation";
       }
     }
 
     /*! this is the text of a link put after brief descriptions. */
-    virtual QCString trMore() 
+    virtual QCString trMore()
     { return "More..."; }
 
     /*! put in the class documentation */
@@ -138,81 +138,81 @@
     /*! this is the remainder of the sentence after the class name */
     virtual QCString trIncludingInheritedMembers()
     { return ", including all inherited members."; }
-    
+
     /*! this is put at the author sections at the bottom of man pages.
      *  parameter s is name of the project name.
      */
     virtual QCString trGeneratedAutomatically(const char *s)
     { QCString result="Generated automatically by Doxygen";
       if (s) result+=(QCString)" for "+s;
-      result+=" from the source code."; 
+      result+=" from the source code.";
       return result;
     }
 
     /*! put after an enum name in the list of all members */
     virtual QCString trEnumName()
     { return "enum name"; }
-    
+
     /*! put after an enum value in the list of all members */
     virtual QCString trEnumValue()
     { return "enum value"; }
-    
+
     /*! put after an undocumented member in the list of all members */
     virtual QCString trDefinedIn()
     { return "defined in"; }
 
     // quick reference sections
 
-    /*! This is put above each page as a link to the list of all groups of 
+    /*! This is put above each page as a link to the list of all groups of
      *  compounds or files (see the \\group command).
      */
     virtual QCString trModules()
     { return "Modules"; }
-    
+
     /*! This is put above each page as a link to the class hierarchy */
     virtual QCString trClassHierarchy()
     { return "Class Hierarchy"; }
-    
+
     /*! This is put above each page as a link to the list of annotated classes */
     virtual QCString trCompoundList()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
         return "Data Structures";
       }
       else
       {
-        return "Class List"; 
+        return "Class List";
       }
     }
-    
+
     /*! This is put above each page as a link to the list of documented files */
     virtual QCString trFileList()
     { return "File List"; }
 
     /*! This is put above each page as a link to all members of compounds. */
     virtual QCString trCompoundMembers()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Data Fields"; 
+        return "Data Fields";
       }
       else
       {
-        return "Class Members"; 
+        return "Class Members";
       }
     }
 
     /*! This is put above each page as a link to all members of files. */
     virtual QCString trFileMembers()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Globals"; 
+        return "Globals";
       }
       else
       {
-        return "File Members"; 
+        return "File Members";
       }
     }
 
@@ -245,16 +245,16 @@
 
     /*! This is an introduction to the annotated compound list. */
     virtual QCString trCompoundListDescription()
-    { 
-      
+    {
+
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Here are the data structures with brief descriptions:"; 
+        return "Here are the data structures with brief descriptions:";
       }
       else
       {
         return "Here are the classes, structs, "
-               "unions and interfaces with brief descriptions:"; 
+               "unions and interfaces with brief descriptions:";
       }
     }
 
@@ -275,7 +275,7 @@
         result+="class members";
       }
       result+=" with links to ";
-      if (!extractAll) 
+      if (!extractAll)
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
@@ -286,7 +286,7 @@
           result+="the class documentation for each member:";
         }
       }
-      else 
+      else
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
@@ -305,7 +305,7 @@
     {
       QCString result="Here is a list of all ";
       if (!extractAll) result+="documented ";
-      
+
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
         result+="functions, variables, defines, enums, and typedefs";
@@ -315,9 +315,9 @@
         result+="file members";
       }
       result+=" with links to ";
-      if (extractAll) 
+      if (extractAll)
         result+="the files they belong to:";
-      else 
+      else
         result+="the documentation:";
       return result;
     }
@@ -334,43 +334,43 @@
     virtual QCString trModulesDescription()
     { return "Here is a list of all modules:"; }
 
-    // index titles (the project name is prepended for these) 
+    // index titles (the project name is prepended for these)
 
     /*! This is used in HTML as the title of index.html. */
     virtual QCString trDocumentation()
     { return "Documentation"; }
 
-    /*! This is used in LaTeX as the title of the chapter with the 
+    /*! This is used in LaTeX as the title of the chapter with the
      * index of all groups.
      */
     virtual QCString trModuleIndex()
     { return "Module Index"; }
 
-    /*! This is used in LaTeX as the title of the chapter with the 
+    /*! This is used in LaTeX as the title of the chapter with the
      * class hierarchy.
      */
     virtual QCString trHierarchicalIndex()
     { return "Hierarchical Index"; }
 
-    /*! This is used in LaTeX as the title of the chapter with the 
+    /*! This is used in LaTeX as the title of the chapter with the
      * annotated compound index.
      */
     virtual QCString trCompoundIndex()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
-      { 
+      {
         return "Data Structure Index";
       }
       else
       {
-        return "Class Index"; 
+        return "Class Index";
       }
     }
 
     /*! This is used in LaTeX as the title of the chapter with the
      * list of all files.
      */
-    virtual QCString trFileIndex() 
+    virtual QCString trFileIndex()
     { return "File Index"; }
 
     /*! This is used in LaTeX as the title of the chapter containing
@@ -383,14 +383,14 @@
      *  the documentation of all classes, structs and unions.
      */
     virtual QCString trClassDocumentation()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Data Structure Documentation"; 
+        return "Data Structure Documentation";
       }
       else
       {
-        return "Class Documentation"; 
+        return "Class Documentation";
       }
     }
 
@@ -415,105 +415,105 @@
     /*! This is used in LaTeX as the title of the document */
     virtual QCString trReferenceManual()
     { return "Reference Manual"; }
-    
-    /*! This is used in the documentation of a file as a header before the 
+
+    /*! This is used in the documentation of a file as a header before the
      *  list of defines
      */
     virtual QCString trDefines()
     { return "Defines"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of function prototypes
      */
     virtual QCString trFuncProtos()
     { return "Function Prototypes"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of typedefs
      */
     virtual QCString trTypedefs()
     { return "Typedefs"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of enumerations
      */
     virtual QCString trEnumerations()
     { return "Enumerations"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of (global) functions
      */
     virtual QCString trFunctions()
     { return "Functions"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of (global) variables
      */
     virtual QCString trVariables()
     { return "Variables"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of (global) variables
      */
     virtual QCString trEnumerationValues()
     { return "Enumerator"; }
-    
+
     /*! This is used in the documentation of a file before the list of
      *  documentation blocks for defines
      */
     virtual QCString trDefineDocumentation()
     { return "Define Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for function prototypes
      */
     virtual QCString trFunctionPrototypeDocumentation()
     { return "Function Prototype Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for typedefs
      */
     virtual QCString trTypedefDocumentation()
     { return "Typedef Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for enumeration types
      */
     virtual QCString trEnumerationTypeDocumentation()
     { return "Enumeration Type Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for functions
      */
     virtual QCString trFunctionDocumentation()
     { return "Function Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for variables
      */
     virtual QCString trVariableDocumentation()
     { return "Variable Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace/group before 
+    /*! This is used in the documentation of a file/namespace/group before
      *  the list of links to documented compounds
      */
     virtual QCString trCompounds()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Data Structures"; 
+        return "Data Structures";
       }
       else
       {
-        return "Classes"; 
+        return "Classes";
       }
     }
 
-    /*! This is used in the standard footer of each page and indicates when 
-     *  the page was generated 
+    /*! This is used in the standard footer of each page and indicates when
+     *  the page was generated
      */
     virtual QCString trGeneratedAt(const char *date,const char *projName)
-    { 
+    {
       QCString result=(QCString)"Generated on "+date;
       if (projName) result+=(QCString)" for "+projName;
       result+=(QCString)" by";
@@ -531,7 +531,7 @@
     {
       return (QCString)"Inheritance diagram for "+clName+":";
     }
-    
+
     /*! this text is generated when the \\internal command is used. */
     virtual QCString trForInternalUseOnly()
     { return "For internal use only."; }
@@ -563,7 +563,7 @@
     /*! this text is generated when the \\exception command is used. */
     virtual QCString trExceptions()
     { return "Exceptions"; }
-    
+
     /*! this text is used in the title page of a LaTeX document. */
     virtual QCString trGeneratedBy()
     { return "Generated by"; }
@@ -571,7 +571,7 @@
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990307
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! used as the title of page containing all the index of all namespaces. */
     virtual QCString trNamespaceList()
     { return "Namespace List"; }
@@ -590,17 +590,17 @@
      */
     virtual QCString trFriends()
     { return "Friends"; }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990405
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! used in the class documentation as a header before the list of all
-     * related classes 
+     * related classes
      */
     virtual QCString trRelatedFunctionDocumentation()
     { return "Friends And Related Function Documentation"; }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990425
 //////////////////////////////////////////////////////////////////////////
@@ -630,7 +630,7 @@
     virtual QCString trFileReference(const char *fileName)
     {
       QCString result=fileName;
-      result+=" File Reference"; 
+      result+=" File Reference";
       return result;
     }
 
@@ -641,7 +641,7 @@
       result+=" Namespace Reference";
       return result;
     }
-    
+
     virtual QCString trPublicMembers()
     { return "Public Member Functions"; }
     virtual QCString trPublicSlots()
@@ -662,7 +662,7 @@
     { return "Private Slots"; }
     virtual QCString trStaticPrivateMembers()
     { return "Static Private Member Functions"; }
-    
+
     /*! this function is used to produce a comma-separated list of items.
      *  use generateMarker(i) to indicate where item i should be put.
      */
@@ -671,23 +671,23 @@
       QCString result;
       int i;
       // the inherits list contain `numEntries' classes
-      for (i=0;i<numEntries;i++) 
+      for (i=0;i<numEntries;i++)
       {
         // use generateMarker to generate placeholders for the class links!
-        result+=generateMarker(i); // generate marker for entry i in the list 
+        result+=generateMarker(i); // generate marker for entry i in the list
                                    // (order is left to right)
-        
+
         if (i!=numEntries-1)  // not the last entry, so we need a separator
         {
-          if (i<numEntries-2) // not the fore last entry 
+          if (i<numEntries-2) // not the fore last entry
             result+=", ";
           else                // the fore last entry
             result+=", and ";
         }
       }
-      return result; 
+      return result;
     }
-    
+
     /*! used in class documentation to produce a list of base classes,
      *  if class diagrams are disabled.
      */
@@ -704,7 +704,7 @@
       return "Inherited by "+trWriteList(numEntries)+".";
     }
 
-    /*! used in member documentation blocks to produce a list of 
+    /*! used in member documentation blocks to produce a list of
      *  members that are hidden by this one.
      */
     virtual QCString trReimplementedFromList(int numEntries)
@@ -726,17 +726,17 @@
 
     /*! This is an introduction to the page with all namespace members */
     virtual QCString trNamespaceMemberDescription(bool extractAll)
-    { 
+    {
       QCString result="Here is a list of all ";
       if (!extractAll) result+="documented ";
       result+="namespace members with links to ";
-      if (extractAll) 
+      if (extractAll)
         result+="the namespace documentation for each member:";
-      else 
+      else
         result+="the namespaces they belong to:";
       return result;
     }
-    /*! This is used in LaTeX as the title of the chapter with the 
+    /*! This is used in LaTeX as the title of the chapter with the
      *  index of all namespaces.
      */
     virtual QCString trNamespaceIndex()
@@ -803,7 +803,7 @@
     virtual QCString trMainPage()
     { return "Main Page"; }
 
-    /*! This is used in references to page that are put in the LaTeX 
+    /*! This is used in references to page that are put in the LaTeX
      *  documentation. It should be an abbreviation of the word page.
      */
     virtual QCString trPageAbbreviation()
@@ -848,7 +848,7 @@
     /*! header that is put before the list of constructor/destructors. */
     virtual QCString trConstructorDocumentation()
     {
-      return "Constructor & Destructor Documentation"; 
+      return "Constructor & Destructor Documentation";
     }
     /*! Used in the file documentation to point to the corresponding sources. */
     virtual QCString trGotoSourceCode()
@@ -905,7 +905,7 @@
 //////////////////////////////////////////////////////////////////////////
 // new since 1.1.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     virtual QCString trNote()
     {
       return "Note";
@@ -994,7 +994,7 @@
     {
       return "Since";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.1.5
 //////////////////////////////////////////////////////////////////////////
@@ -1004,12 +1004,12 @@
     {
       return "Graph Legend";
     }
-    /*! page explaining how the dot graph's should be interpreted 
+    /*! page explaining how the dot graph's should be interpreted
      *  The %A in the text below are to prevent link to classes called "A".
      */
     virtual QCString trLegendDocs()
     {
-      return 
+      return
         "This page explains how to interpret the graphs that are generated "
         "by doxygen.<p>\n"
         "Consider the following example:\n"
@@ -1073,11 +1073,11 @@
     {
       return "legend";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a test item */
     virtual QCString trTest()
     {
@@ -1155,11 +1155,11 @@
     {
       return "Value:";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.5
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a \\bug item */
     virtual QCString trBug()
     {
@@ -1175,9 +1175,9 @@
 // new since 1.2.6
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as ansicpg for RTF file 
-     * 
-     * The following table shows the correlation of Charset name, Charset Value and 
+    /*! Used as ansicpg for RTF file
+     *
+     * The following table shows the correlation of Charset name, Charset Value and
      * <pre>
      * Codepage number:
      * Charset Name       Charset Value(hex)  Codepage number
@@ -1198,15 +1198,15 @@
      * GB2313_CHARSET          134 (x86)             936
      * CHINESEBIG5_CHARSET     136 (x88)             950
      * </pre>
-     * 
+     *
      */
     virtual QCString trRTFansicp()
     {
       return "1252";
     }
-    
 
-    /*! Used as ansicpg for RTF fcharset 
+
+    /*! Used as ansicpg for RTF fcharset
      *  \see trRTFansicp() for a table of possible values.
      */
     virtual QCString trRTFCharSet()
@@ -1219,82 +1219,68 @@
     {
       return "Index";
     }
-   
+
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trClass(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Class" : "class"));
-      if (!singular)  result+="es";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "class", "es");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trFile(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "File" : "file"));
-      if (!singular)  result+="s";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "file", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trNamespace(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Namespace" : "namespace"));
-      if (!singular)  result+="s";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "namespace", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGroup(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Group" : "group"));
-      if (!singular)  result+="s";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "group", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trPage(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Page" : "page"));
-      if (!singular)  result+="s";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "page", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trMember(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Member" : "member"));
-      if (!singular)  result+="s";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "member", "s");
     }
-   
+
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGlobal(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Global" : "global"));
-      if (!singular)  result+="s";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "global", "s");
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1304,10 +1290,10 @@
     /*! This text is generated when the \\author command is used and
      *  for the author section in man pages. */
     virtual QCString trAuthor(bool first_capital, bool singular)
-    {                                                                         
+    {
       QCString result((first_capital ? "Author" : "author"));
       if (!singular)  result+="s";
-      return result; 
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1325,7 +1311,7 @@
 // new since 1.2.13
 //////////////////////////////////////////////////////////////////////////
 
-    /*! used in member documentation blocks to produce a list of 
+    /*! used in member documentation blocks to produce a list of
      *  members that are implemented by this one.
      */
     virtual QCString trImplementedFromList(int numEntries)
@@ -1357,8 +1343,8 @@
 // new since 1.2.17
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as the header of the list of item that have been 
-     *  flagged deprecated 
+    /*! Used as the header of the list of item that have been
+     *  flagged deprecated
      */
     virtual QCString trDeprecatedList()
     {
@@ -1369,7 +1355,7 @@
 // new since 1.2.18
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as a header for declaration section of the events found in 
+    /*! Used as a header for declaration section of the events found in
      * a C# program
      */
     virtual QCString trEvents()
@@ -1389,43 +1375,43 @@
     /*! Used as a heading for a list of Java class types with package scope.
      */
     virtual QCString trPackageTypes()
-    { 
+    {
       return "Package Types";
     }
-    /*! Used as a heading for a list of Java class functions with package 
-     * scope. 
+    /*! Used as a heading for a list of Java class functions with package
+     * scope.
      */
     virtual QCString trPackageMembers()
-    { 
+    {
       return "Package Functions";
     }
-    /*! Used as a heading for a list of static Java class functions with 
+    /*! Used as a heading for a list of static Java class functions with
      *  package scope.
      */
     virtual QCString trStaticPackageMembers()
-    { 
+    {
       return "Static Package Functions";
     }
-    /*! Used as a heading for a list of Java class variables with package 
+    /*! Used as a heading for a list of Java class variables with package
      * scope.
      */
     virtual QCString trPackageAttribs()
-    { 
+    {
       return "Package Attributes";
     }
-    /*! Used as a heading for a list of static Java class variables with 
+    /*! Used as a heading for a list of static Java class variables with
      * package scope.
      */
     virtual QCString trStaticPackageAttribs()
-    { 
+    {
       return "Static Package Attributes";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.3.1
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used in the quick index of a class/file/namespace member list page 
+    /*! Used in the quick index of a class/file/namespace member list page
      *  to link to the unfiltered list of all members.
      */
     virtual QCString trAll()
@@ -1442,9 +1428,9 @@
 // new since 1.3.3
 //////////////////////////////////////////////////////////////////////////
 
-    /*! When the search engine is enabled this text is put in the header 
-     *  of each page before the field where one can enter the text to search 
-     *  for. 
+    /*! When the search engine is enabled this text is put in the header
+     *  of each page before the field where one can enter the text to search
+     *  for.
      */
     virtual QCString trSearchForIndex()
     {
@@ -1461,7 +1447,7 @@
      *  text can be different depending on the number of documents found.
      *  Inside the text you can put the special marker $num to insert
      *  the number representing the actual number of search results.
-     *  The @a numDocuments parameter can be either 0, 1 or 2, where the 
+     *  The @a numDocuments parameter can be either 0, 1 or 2, where the
      *  value 2 represents 2 or more matches. HTML markup is allowed inside
      *  the returned string.
      */
@@ -1475,13 +1461,13 @@
       {
         return "Found <b>1</b> document matching your query.";
       }
-      else 
+      else
       {
         return "Found <b>$num</b> documents matching your query. "
                "Showing best matches first.";
       }
     }
-    /*! This string is put before the list of matched words, for each search 
+    /*! This string is put before the list of matched words, for each search
      *  result. What follows is the list of words that matched the query.
      */
     virtual QCString trSearchMatches()
@@ -1522,7 +1508,7 @@
     virtual QCString trDirectories()
     { return "Directories"; }
 
-    /*! This returns a sentences that introduces the directory hierarchy. 
+    /*! This returns a sentences that introduces the directory hierarchy.
      *  and the fact that it is sorted alphabetically per level
      */
     virtual QCString trDirDescription()
@@ -1540,10 +1526,10 @@
      *  (\a first_capital) and in sigular or plural form (\a singular).
      */
     virtual QCString trDir(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Director" : "director"));
       if (singular) result+="y"; else result+="ies";
-      return result; 
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1570,21 +1556,23 @@
       return "Here is the caller graph for this function:";
     }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for enumeration values
      */
     virtual QCString trEnumerationValueDocumentation()
-    { return "Enumerator Documentation"; }
+    {
+      return "Enumerator Documentation";
+    }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.5.4 (mainly for Fortran)
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! header that is put before the list of member subprograms (Fortran). */
     virtual QCString trMemberFunctionDocumentationFortran()
     { return "Member Function/Subroutine Documentation"; }
 
-    /*! This is put above each page as a link to the list of annotated data types (Fortran). */    
+    /*! This is put above each page as a link to the list of annotated data types (Fortran). */
     virtual QCString trCompoundListFortran()
     { return "Data Types List"; }
 
@@ -1606,18 +1594,18 @@
       }
       result+="data types members";
       result+=" with links to ";
-      if (!extractAll) 
+      if (!extractAll)
       {
          result+="the data structure documentation for each member";
       }
-      else 
+      else
       {
          result+="the data types they belong to:";
       }
       return result;
     }
 
-    /*! This is used in LaTeX as the title of the chapter with the 
+    /*! This is used in LaTeX as the title of the chapter with the
      * annotated compound index (Fortran).
      */
     virtual QCString trCompoundIndexFortran()
@@ -1629,24 +1617,24 @@
     virtual QCString trTypeDocumentation()
     { return "Data Type Documentation"; }
 
-    /*! This is used in the documentation of a file as a header before the 
+    /*! This is used in the documentation of a file as a header before the
      *  list of (global) subprograms (Fortran).
      */
     virtual QCString trSubprograms()
     { return "Functions/Subroutines"; }
 
-    /*! This is used in the documentation of a file/namespace before the list 
+    /*! This is used in the documentation of a file/namespace before the list
      *  of documentation blocks for subprograms (Fortran)
      */
     virtual QCString trSubprogramDocumentation()
     { return "Function/Subroutine Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace/group before 
+    /*! This is used in the documentation of a file/namespace/group before
      *  the list of links to documented compounds (Fortran)
      */
      virtual QCString trDataTypes()
     { return "Data Types"; }
-    
+
     /*! used as the title of page containing all the index of all modules (Fortran). */
     virtual QCString trModulesList()
     { return "Modules List"; }
@@ -1684,46 +1672,46 @@
     virtual QCString trModuleReference(const char *namespaceName)
     {
       QCString result=namespaceName;
-      result+=" Module Reference";        
+      result+=" Module Reference";
       return result;
     }
-    
+
     /*! This is put above each page as a link to all members of modules. (Fortran) */
     virtual QCString trModulesMembers()
     { return "Module Members"; }
 
     /*! This is an introduction to the page with all modules members (Fortran) */
     virtual QCString trModulesMemberDescription(bool extractAll)
-    { 
+    {
       QCString result="Here is a list of all ";
       if (!extractAll) result+="documented ";
       result+="module members with links to ";
-      if (extractAll) 
+      if (extractAll)
       {
         result+="the module documentation for each member:";
       }
-      else 
+      else
       {
         result+="the modules they belong to:";
       }
       return result;
     }
 
-    /*! This is used in LaTeX as the title of the chapter with the 
+    /*! This is used in LaTeX as the title of the chapter with the
      *  index of all modules (Fortran).
      */
     virtual QCString trModulesIndex()
     { return "Modules Index"; }
-    
+
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trModule(bool first_capital, bool singular)
-    {       
+    {
       QCString result((first_capital ? "Module" : "module"));
       if (!singular)  result+="s";
-      return result; 
+      return result;
     }
     /*! This is put at the bottom of a module documentation page and is
      *  followed by a list of files that were used to generate the page.
@@ -1748,24 +1736,24 @@
       return result;
     }
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trType(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Type" : "type"));
       if (!singular)  result+="s";
-      return result; 
+      return result;
     }
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trSubprogram(bool first_capital, bool singular)
-    { 
+    {
       QCString result((first_capital ? "Subprogram" : "subprogram"));
       if (!singular)  result+="s";
-      return result; 
+      return result;
     }
 
     /*! C# Type Constraint list */
@@ -1774,6 +1762,20 @@
       return "Type Constraints";
     }
 
+/*---------- For internal use: ----------------------------------------*/
+  protected:
+    /*! For easy flexible-noun implementation.
+     *  \internal
+     */
+    QCString createNoun(bool first_capital, bool singular,
+			const char* base, const char* plurSuffix)
+    {
+      QCString result(base);
+      if (first_capital) result.at(0) = toupper(result.at(0));
+      if (!singular)  result+=plurSuffix;
+      return result;
+    }
+
 };
 
 #endif
Index: translator_se.h
===================================================================
--- translator_se.h	(revision 681)
+++ translator_se.h	(arbetskopia)
@@ -1,12 +1,13 @@
+/*-*- c-basic-offset: 2; tab-width: 8 -*-*/
 /******************************************************************************
  *
- * 
  *
+ *
  * Copyright (C) 1997-2008 by Dimitri van Heesch.
  *
  * Permission to use, copy, modify, and distribute this software and its
- * documentation under the terms of the GNU General Public License is hereby 
- * granted. No representations are made about the suitability of this software 
+ * documentation under the terms of the GNU General Public License is hereby
+ * granted. No representations are made about the suitability of this software
  * for any purpose. It is provided "as is" without express or implied warranty.
  * See the GNU General Public License for more details.
  *
@@ -15,70 +16,53 @@
  *
  */
 
-/*
-==================================================================================
-Svensk versttning av:
-Samuel Hgglund      <sahag96@ite.mh.se>
-Xet Erixon           <xet@xeqt.com>
-Mikael Hallin        <mikaelhallin@yahoo.se>           2003-07-28
-==================================================================================
-Uppdateringar.
-1999/04/29
-*  Omskrivningar av en hel del ordval, t.ex.
-   ENG                  INNAN          EFTER
-   compound             inhngnad      sammansatt
-   structs              structs        strukter
-   unions               unions         unioner
-
-   osv...
-
-*  Alla versttnings-strngar returnerar i alla fall en ngot s nr vettig
-   frklaring...
-
-1999/05/27
-*  Det verkade som vi glmt en del mellanslag i vissa strngar vilket resulterade
-   i att en del ord blev ihopskrivna.
-
-*  Bytt en del ordval igen...
-   ENG                       INNAN          EFTER
-   reference manual          Uppslagsbok    referensmanual
-
-*  Skrivit ihop en del ord som innan hade bindestreck
-*  En del nya versttningar r tillagda.
-*  Gamla versttningar borttagna
-
-===================================================================================
-Problem!
-   Slot: nn hygglig svensk versttning???
-
-   Skicka grna synpunkter.
-===================================================================================
-1999/09/01
-*  Det verkar som om "namnrymd" r en hyggligt vedertagen svensk versttning
-   av "namespace", s jag kr med det frn och med nu.
-*  "interface" heter numera "grnssnitt"
-
-2003/07/28
-*  Jag har updaterat versttningen efter ett par rs trda..
-Problem!
-   Deprecated: nn hygglig svensk versttning???
-
-   Skicka grna synpunkter.
+/* Not started.
+ *
+ * The Northern Sami language is probably used by part of the Sami
+ * minority in nothern Norway, Sweden, Finland and Russha.
 */
 
 #ifndef TRANSLATOR_SE_H
 #define TRANSLATOR_SE_H
 
-class TranslatorSwedish : public TranslatorAdapter_1_4_6
+/*!
+ When defining a translator class for the new language, follow
+ the description in the documentation.  One of the steps says
+ that you should copy the translator_en.h (this) file to your
+ translator_xx.h new file.  Your new language should use the
+ Translator class as the base class.  This means that you need to
+ implement exactly the same (pure virtual) methods as the
+ TranslatorEnglish does.  Because of this, it is a good idea to
+ start with the copy of TranslatorEnglish and replace the strings
+ one by one.
+
+ It is not necessary to include "translator.h" or
+ "translator_adapter.h" here.  The files are included in the
+ language.cpp correctly.  Not including any of the mentioned
+ files frees the maintainer from thinking about whether the
+ first, the second, or both files should be included or not, and
+ why.  This holds namely for localized translators because their
+ base class is changed occasionaly to adapter classes when the
+ Translator class changes the interface, or back to the
+ Translator class (by the local maintainer) when the localized
+ translator is made up-to-date again.
+*/
+class TranslatorNorthernSami : public TranslatorAdapter_1_3
 {
   public:
 
+    /*! Used for identification of the language. The identification
+     * should not be translated. It should be replaced by the name
+     * of the language in English using lower-case characters only
+     * (e.g. "czech", "japanese", "russian", etc.). It should be equal to
+     * the identification used in language.cpp.
+     */
     virtual QCString idLanguage()
-    { return "swedish"; }
+    { return "northernsami"; }
 
-    /*! Used to get the LaTeX command(s) for the language support. 
+    /*! Used to get the LaTeX command(s) for the language support.
      *  This method should return string with commands that switch
-     *  LaTeX to the desired language.  For example 
+     *  LaTeX to the desired language.  For example
      *  <pre>"\\usepackage[german]{babel}\n"
      *  </pre>
      *  or
@@ -86,13 +70,13 @@
      *  "\\usepackage[latin2]{inputenc}\n"
      *  "\\usepackage[T1]{fontenc}\n"
      *  </pre>
-     * 
+     *
      * The English LaTeX does not use such commands.  Because of this
      * the empty string is returned in this implementation.
      */
     virtual QCString latexLanguageSupportCommand()
     {
-      return "\\usepackage[swedish]{babel}\n";
+      return "";
     }
 
     /*! return the language charset. This will be used for the HTML output */
@@ -101,460 +85,594 @@
       return "iso-8859-1";
     }
 
+    // --- Language translation methods -------------------
+
+    /*! used in the compound documentation before a list of related functions. */
     virtual QCString trRelatedFunctions()
-    { return "Beslktade funktioner"; }
+    { return "Related Functions"; }
 
+    /*! subscript for the related functions. */
     virtual QCString trRelatedSubscript()
-    { return "(Observera att dessa inte r medlemsfunktioner)"; }
+    { return "(Note that these are not member functions.)"; }
 
+    /*! header that is put before the detailed description of files, classes and namespaces. */
     virtual QCString trDetailedDescription()
-    { return "Detaljerad beskrivning"; }
+    { return "Detailed Description"; }
 
+    /*! header that is put before the list of typedefs. */
     virtual QCString trMemberTypedefDocumentation()
-    { return "Dokumentation av typdefinierade medlemmar"; }
+    { return "Member Typedef Documentation"; }
 
+    /*! header that is put before the list of enumerations. */
     virtual QCString trMemberEnumerationDocumentation()
-    { return "Dokumentation av egenupprknande medlemmar"; }
+    { return "Member Enumeration Documentation"; }
 
+    /*! header that is put before the list of member functions. */
     virtual QCString trMemberFunctionDocumentation()
-    { return "Dokumentation av medlemsfunktioner"; }
+    { return "Member Function Documentation"; }
 
+    /*! header that is put before the list of member attributes. */
     virtual QCString trMemberDataDocumentation()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Flt dokumentation"; 
+        return "Field Documentation";
       }
       else
       {
-        return "Dokumentation av datamedlemmar";
+        return "Member Data Documentation";
       }
     }
 
+    /*! this is the text of a link put after brief descriptions. */
     virtual QCString trMore()
-    { return "Mer..."; }
+    { return "More..."; }
 
+    /*! put in the class documentation */
     virtual QCString trListOfAllMembers()
-    { return "Lista ver alla medlemmar."; }
+    { return "List of all members."; }
 
+    /*! used as the title of the "list of all members" page of a class */
     virtual QCString trMemberList()
-    { return "Medlemslista"; }
+    { return "Member List"; }
 
+    /*! this is the first part of a sentence that is followed by a class name */
     virtual QCString trThisIsTheListOfAllMembers()
-    { return "Det hr r en fullstndig lista ver medlemmar fr "; }
+    { return "This is the complete list of members for "; }
 
+    /*! this is the remainder of the sentence after the class name */
     virtual QCString trIncludingInheritedMembers()
-    { return " med alla rvda medlemmar."; }
+    { return ", including all inherited members."; }
 
+    /*! this is put at the author sections at the bottom of man pages.
+     *  parameter s is name of the project name.
+     */
     virtual QCString trGeneratedAutomatically(const char *s)
-    { QCString result="Automatiskt skapad av Doxygen";
-      if (s) result+=(QCString)" fr "+s;
-      result+=" frn kllkoden."; 
+    { QCString result="Generated automatically by Doxygen";
+      if (s) result+=(QCString)" for "+s;
+      result+=" from the source code.";
       return result;
     }
 
+    /*! put after an enum name in the list of all members */
     virtual QCString trEnumName()
-    { return "enum namn"; }
+    { return "enum name"; }
 
+    /*! put after an enum value in the list of all members */
     virtual QCString trEnumValue()
-    { return "enum vrde"; }
+    { return "enum value"; }
 
+    /*! put after an undocumented member in the list of all members */
     virtual QCString trDefinedIn()
-    { return "definierad i"; }
+    { return "defined in"; }
 
-/*
-    QCString trVerbatimText(const char *f)
-    { return (QCString)"Detta r den ordagranna texten frn inkluderingsfilen "+f; }
-*/
+    // quick reference sections
+
+    /*! This is put above each page as a link to the list of all groups of
+     *  compounds or files (see the \\group command).
+     */
     virtual QCString trModules()
-    { return "Moduler"; }
+    { return "Modules"; }
 
+    /*! This is put above each page as a link to the class hierarchy */
     virtual QCString trClassHierarchy()
-    { return "Klasshierarki"; }
+    { return "Class Hierarchy"; }
 
+    /*! This is put above each page as a link to the list of annotated classes */
     virtual QCString trCompoundList()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datastrukturer";
+        return "Data Structures";
       }
       else
       {
-        return "Sammansatt klasslista";
+        return "Class List";
       }
     }
 
+    /*! This is put above each page as a link to the list of documented files */
     virtual QCString trFileList()
-    { return "Fillista"; }
+    { return "File List"; }
 
+    /*! This is put above each page as a link to all members of compounds. */
     virtual QCString trCompoundMembers()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Data flt"; 
+        return "Data Fields";
       }
       else
       {
-        return "Sammansatta klassmedlemmar";
+        return "Class Members";
       }
     }
 
+    /*! This is put above each page as a link to all members of files. */
     virtual QCString trFileMembers()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Globala symboler"; 
+        return "Globals";
       }
       else
       {
-        return "Filmedlemmar";
+        return "File Members";
       }
     }
 
+    /*! This is put above each page as a link to all related pages. */
     virtual QCString trRelatedPages()
-    { return "Beslktade sidor"; }
+    { return "Related Pages"; }
 
+    /*! This is put above each page as a link to all examples. */
     virtual QCString trExamples()
-    { return "Exempel"; }
+    { return "Examples"; }
 
+    /*! This is put above each page as a link to the search engine. */
     virtual QCString trSearch()
-    { return "Sk"; }
+    { return "Search"; }
 
+    /*! This is an introduction to the class hierarchy. */
     virtual QCString trClassHierarchyDescription()
-    { return "Denna lista ver arv r grovt, men inte helt, "
-             "sorterad i alfabetisk ordning:";
+    { return "This inheritance list is sorted roughly, "
+             "but not completely, alphabetically:";
     }
 
+    /*! This is an introduction to the list with all files. */
     virtual QCString trFileListDescription(bool extractAll)
     {
-      QCString result="Hr fljer en lista ver alla ";
-      if (!extractAll) result+="dokumenterade ";
-      result+="filer, med en kort beskrivning:";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="files with brief descriptions:";
       return result;
     }
 
+    /*! This is an introduction to the annotated compound list. */
     virtual QCString trCompoundListDescription()
-    { 
-      
+    {
+
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Hr fljer datastrukturerna med korta beskrivningar:";
+        return "Here are the data structures with brief descriptions:";
       }
       else
       {
-        return "Hr fljer klasserna, strukterna, unionerna och "
-               "grnssnitten med korta beskrivningar:"; 
+        return "Here are the classes, structs, "
+               "unions and interfaces with brief descriptions:";
       }
     }
 
     /*! This is an introduction to the page with all class members. */
     virtual QCString trCompoundMembersDescription(bool extractAll)
     {
-      QCString result="Hr r en lista ver alla ";
+      QCString result="Here is a list of all ";
       if (!extractAll)
       {
-        result+="dokumenterade ";
+        result+="documented ";
       }
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        result+="struktur- och unions-flt";
+        result+="struct and union fields";
       }
       else
       {
-        result+="klassmedlemmar";
+        result+="class members";
       }
-      result+=" med lnkar till ";
-      if (!extractAll) 
+      result+=" with links to ";
+      if (!extractAll)
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
-          result+="struktur/unions-dokumentationen fr varje flt:";
+          result+="the struct/union documentation for each field:";
         }
         else
         {
-          result+="klassdokumentationen fr varje medlem:";
+          result+="the class documentation for each member:";
         }
       }
-      else 
+      else
       {
         if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
         {
-          result+=" strukturerna/unionerna de tillhr:";
+          result+="the structures/unions they belong to:";
         }
         else
         {
-          result+="klasserna de tillhr:";
+          result+="the classes they belong to:";
         }
       }
       return result;
     }
 
+    /*! This is an introduction to the page with all file members. */
     virtual QCString trFileMembersDescription(bool extractAll)
     {
-      QCString result="Hr fljer en lista ver alla ";
-      if (!extractAll) result+="dokumenterade ";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
 
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        result+="funktioner, variabler, definitioner, enumerationer "
-                "och typdefinitioner";
+        result+="functions, variables, defines, enums, and typedefs";
       }
       else
       {
-        result+= "filmedlemmar";
+        result+="file members";
       }
-      result+= " med lnkar till ";
+      result+=" with links to ";
       if (extractAll)
-        result+= "filerna som de tillhr:";
+        result+="the files they belong to:";
       else
-        result+= "dokumentationen:";
+        result+="the documentation:";
       return result;
     }
 
+    /*! This is an introduction to the page with the list of all examples */
     virtual QCString trExamplesDescription()
-    { return "Hr fljer en lista med alla exempel:"; }
+    { return "Here is a list of all examples:"; }
 
+    /*! This is an introduction to the page with the list of related pages */
     virtual QCString trRelatedPagesDescription()
-    { return "Hr fljer en lista ver alla beslktade dokumentationssidor:";}
+    { return "Here is a list of all related documentation pages:"; }
 
+    /*! This is an introduction to the page with the list of class/file groups */
     virtual QCString trModulesDescription()
-    { return "Hr fljer en lista ver alla moduler:"; }
+    { return "Here is a list of all modules:"; }
 
+    // index titles (the project name is prepended for these)
+
+    /*! This is used in HTML as the title of index.html. */
     virtual QCString trDocumentation()
-    { return "Dokumentation"; }
+    { return "Documentation"; }
 
+    /*! This is used in LaTeX as the title of the chapter with the
+     * index of all groups.
+     */
     virtual QCString trModuleIndex()
-    { return "Modulindex"; }
+    { return "Module Index"; }
 
+    /*! This is used in LaTeX as the title of the chapter with the
+     * class hierarchy.
+     */
     virtual QCString trHierarchicalIndex()
-    { return "Hierarkiskt Index"; }
+    { return "Hierarchical Index"; }
 
     /*! This is used in LaTeX as the title of the chapter with the
      * annotated compound index.
      */
     virtual QCString trCompoundIndex()
     {
-      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C")) {
-        return "Index ver datastrukturer";
-      } else {
-        return "Index ver sammensatta typer";
+      if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
+      {
+        return "Data Structure Index";
       }
+      else
+      {
+        return "Class Index";
+      }
     }
 
+    /*! This is used in LaTeX as the title of the chapter with the
+     * list of all files.
+     */
     virtual QCString trFileIndex()
-    { return "Filindex"; }
+    { return "File Index"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all groups.
+     */
     virtual QCString trModuleDocumentation()
-    { return "Dokumentation ver moduler"; }
+    { return "Module Documentation"; }
 
     /*! This is used in LaTeX as the title of the chapter containing
      *  the documentation of all classes, structs and unions.
      */
     virtual QCString trClassDocumentation()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Dokumentation ver datastrukturer";
+        return "Data Structure Documentation";
       }
       else
       {
-        return "Documentation ver klasser";
+        return "Class Documentation";
       }
     }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all files.
+     */
     virtual QCString trFileDocumentation()
-    { return "Dokumentation ver filer"; }
+    { return "File Documentation"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all examples.
+     */
     virtual QCString trExampleDocumentation()
-    { return "Dokumentation ver exempel"; }
+    { return "Example Documentation"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all related pages.
+     */
     virtual QCString trPageDocumentation()
-    { return "Dokumentation av sidor"; }
+    { return "Page Documentation"; }
 
+    /*! This is used in LaTeX as the title of the document */
     virtual QCString trReferenceManual()
-    { return "Referensmanual"; }
+    { return "Reference Manual"; }
 
+    /*! This is used in the documentation of a file as a header before the
+     *  list of defines
+     */
     virtual QCString trDefines()
-    { return "Definitioner"; }
+    { return "Defines"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of function prototypes
+     */
     virtual QCString trFuncProtos()
-    { return "Funktionsprototyper"; }
+    { return "Function Prototypes"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of typedefs
+     */
     virtual QCString trTypedefs()
-    { return "Typdefinitioner"; }
+    { return "Typedefs"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of enumerations
+     */
     virtual QCString trEnumerations()
-    { return "Egenupprknande typer"; }
+    { return "Enumerations"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) functions
+     */
     virtual QCString trFunctions()
-    { return "Funktioner"; }
+    { return "Functions"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
     virtual QCString trVariables()
-    { return "Variabler"; }
+    { return "Variables"; }
 
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) variables
+     */
     virtual QCString trEnumerationValues()
-    { return "Egenupprknade typers vrden"; }
+    { return "Enumerator"; }
 
+    /*! This is used in the documentation of a file before the list of
+     *  documentation blocks for defines
+     */
     virtual QCString trDefineDocumentation()
-    { return "Dokumentation ver definitioner"; }
+    { return "Define Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for function prototypes
+     */
     virtual QCString trFunctionPrototypeDocumentation()
-    { return "Dokumentation ver funktionsprototyper"; }
+    { return "Function Prototype Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for typedefs
+     */
     virtual QCString trTypedefDocumentation()
-    { return "Dokumentation ver typdefinitioner"; }
+    { return "Typedef Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration types
+     */
     virtual QCString trEnumerationTypeDocumentation()
-    { return "Dokumentation ver egenupprknande typer"; }
+    { return "Enumeration Type Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for functions
+     */
     virtual QCString trFunctionDocumentation()
-    { return "Dokumentation ver funktioner"; }
+    { return "Function Documentation"; }
 
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for variables
+     */
     virtual QCString trVariableDocumentation()
-    { return "Dokumentation ver variabler"; }
+    { return "Variable Documentation"; }
 
-    /*! This is used in the documentation of a file/namespace/group before 
+    /*! This is used in the documentation of a file/namespace/group before
      *  the list of links to documented compounds
      */
     virtual QCString trCompounds()
-    { 
+    {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datastrukturer";
+        return "Data Structures";
       }
       else
       {
-        return "Sammansttning";
+        return "Classes";
       }
     }
 
+    /*! This is used in the standard footer of each page and indicates when
+     *  the page was generated
+     */
     virtual QCString trGeneratedAt(const char *date,const char *projName)
     {
-      QCString result=(QCString)"Skapad "+date;
-      if (projName) result+=(QCString)" fr "+projName;
-      result+=(QCString)" av";
+      QCString result=(QCString)"Generated on "+date;
+      if (projName) result+=(QCString)" for "+projName;
+      result+=(QCString)" by";
       return result;
     }
-
+    /*! This is part of the sentence used in the standard footer of each page.
+     */
     virtual QCString trWrittenBy()
     {
-      return "skriven av";
+      return "written by";
     }
 
+    /*! this text is put before a class diagram */
     virtual QCString trClassDiagram(const char *clName)
     {
-      return (QCString)"Klassdiagram fr "+clName;
+      return (QCString)"Inheritance diagram for "+clName+":";
     }
 
+    /*! this text is generated when the \\internal command is used. */
     virtual QCString trForInternalUseOnly()
-    { return "Endast fr internt bruk."; }
+    { return "For internal use only."; }
 
+    /*! this text is generated when the \\warning command is used. */
     virtual QCString trWarning()
-    { return "Varning"; }
+    { return "Warning"; }
 
+    /*! this text is generated when the \\version command is used. */
     virtual QCString trVersion()
     { return "Version"; }
 
+    /*! this text is generated when the \\date command is used. */
     virtual QCString trDate()
-    { return "Datum"; }
+    { return "Date"; }
 
+    /*! this text is generated when the \\return command is used. */
     virtual QCString trReturns()
-    { return "Returnerar"; }
+    { return "Returns"; }
 
+    /*! this text is generated when the \\sa command is used. */
     virtual QCString trSeeAlso()
-    { return "Se ven"; }
+    { return "See also"; }
 
+    /*! this text is generated when the \\param command is used. */
     virtual QCString trParameters()
-    { return "Parametrar"; }
+    { return "Parameters"; }
 
+    /*! this text is generated when the \\exception command is used. */
     virtual QCString trExceptions()
-    { return "Undantag"; }
+    { return "Exceptions"; }
 
+    /*! this text is used in the title page of a LaTeX document. */
     virtual QCString trGeneratedBy()
-    { return "Skapad av"; }
+    { return "Generated by"; }
 
+//////////////////////////////////////////////////////////////////////////
 // new since 0.49-990307
+//////////////////////////////////////////////////////////////////////////
 
+    /*! used as the title of page containing all the index of all namespaces. */
     virtual QCString trNamespaceList()
-    { return "Namnrymdslista"; }
+    { return "Namespace List"; }
 
+    /*! used as an introduction to the namespace list */
     virtual QCString trNamespaceListDescription(bool extractAll)
     {
-      QCString result="Hr r en lista ver alla ";
-      if (!extractAll) result+="dokumenterade ";
-      result+="namnrymder med en kort beskrivning:";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="namespaces with brief descriptions:";
       return result;
     }
 
+    /*! used in the class documentation as a header before the list of all
+     *  friends of a class
+     */
     virtual QCString trFriends()
-    { return "Vnner"; }
+    { return "Friends"; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990405
 //////////////////////////////////////////////////////////////////////////
 
+    /*! used in the class documentation as a header before the list of all
+     * related classes
+     */
     virtual QCString trRelatedFunctionDocumentation()
-    { return "Vnners och beslktade funktioners dokumentation"; }
+    { return "Friends And Related Function Documentation"; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990425
 //////////////////////////////////////////////////////////////////////////
 
+    /*! used as the title of the HTML page of a class/struct/union */
     virtual QCString trCompoundReference(const char *clName,
                                     ClassDef::CompoundType compType,
                                     bool isTemplate)
     {
-      QCString result=(QCString)clName+" ";
+      QCString result=(QCString)clName;
       switch(compType)
       {
-        case ClassDef::Class:  result+=" klass"; break;
-        case ClassDef::Struct: result+=" strukt"; break;
-        case ClassDef::Union:  result+=" union"; break;
-        case ClassDef::Interface:  result+=" grnssnitt"; break;
-        case ClassDef::Protocol:   result+=" protocol"; break; // translate me!
-        case ClassDef::Category:   result+=" category"; break; // translate me!
-        case ClassDef::Exception:  result+=" undantag"; break;
+        case ClassDef::Class:      result+=" Class"; break;
+        case ClassDef::Struct:     result+=" Struct"; break;
+        case ClassDef::Union:      result+=" Union"; break;
+        case ClassDef::Interface:  result+=" Interface"; break;
+        case ClassDef::Protocol:   result+=" Protocol"; break;
+        case ClassDef::Category:   result+=" Category"; break;
+        case ClassDef::Exception:  result+=" Exception"; break;
       }
-      if (isTemplate) result+="template";
-      result+="referens";
+      if (isTemplate) result+=" Template";
+      result+=" Reference";
       return result;
     }
 
+    /*! used as the title of the HTML page of a file */
     virtual QCString trFileReference(const char *fileName)
     {
       QCString result=fileName;
-      result+=" filreferens";
+      result+=" File Reference";
       return result;
     }
 
+    /*! used as the title of the HTML page of a namespace */
     virtual QCString trNamespaceReference(const char *namespaceName)
     {
       QCString result=namespaceName;
-      result+=" namnrymdreferens";
+      result+=" Namespace Reference";
       return result;
     }
 
     virtual QCString trPublicMembers()
-    { return "Publika medlemmar"; }
+    { return "Public Member Functions"; }
     virtual QCString trPublicSlots()
-    { return "Publika slots"; }
+    { return "Public Slots"; }
     virtual QCString trSignals()
-    { return "Signaler"; }
+    { return "Signals"; }
     virtual QCString trStaticPublicMembers()
-    { return "Statiska  publika medlemmar"; }
+    { return "Static Public Member Functions"; }
     virtual QCString trProtectedMembers()
-    { return "Skyddade medlemmar"; }
+    { return "Protected Member Functions"; }
     virtual QCString trProtectedSlots()
-    { return "Skyddade slots"; }
+    { return "Protected Slots"; }
     virtual QCString trStaticProtectedMembers()
-    { return "Statiska skyddade medlemmar"; }
+    { return "Static Protected Member Functions"; }
     virtual QCString trPrivateMembers()
-    { return "Privata medlemmar"; }
+    { return "Private Member Functions"; }
     virtual QCString trPrivateSlots()
-    { return "Privata slots"; }
+    { return "Private Slots"; }
     virtual QCString trStaticPrivateMembers()
-    { return "Statiska privata medlemmar"; }
-    // end of member sections
+    { return "Static Private Member Functions"; }
 
+    /*! this function is used to produce a comma-separated list of items.
+     *  use generateMarker(i) to indicate where item i should be put.
+     */
     virtual QCString trWriteList(int numEntries)
     {
-      // this function is used to produce a comma-separated list of items.
-      // use generateMarker(i) to indicate where item i should be put.
       QCString result;
       int i;
       // the inherits list contain `numEntries' classes
@@ -569,57 +687,73 @@
           if (i<numEntries-2) // not the fore last entry
             result+=", ";
           else                // the fore last entry
-            result+=", och ";
+            result+=", and ";
         }
       }
       return result;
     }
 
+    /*! used in class documentation to produce a list of base classes,
+     *  if class diagrams are disabled.
+     */
     virtual QCString trInheritsList(int numEntries)
-      // used in class documentation to produce a list of base classes,
-      // if class diagrams are disabled.
     {
-      return "rver "+trWriteList(numEntries)+".";
+      return "Inherits "+trWriteList(numEntries)+".";
     }
+
+    /*! used in class documentation to produce a list of super classes,
+     *  if class diagrams are disabled.
+     */
     virtual QCString trInheritedByList(int numEntries)
-      // used in class documentation to produce a list of super classes,
-      // if class diagrams are disabled.
     {
-      return "rvd av "+trWriteList(numEntries)+".";
+      return "Inherited by "+trWriteList(numEntries)+".";
     }
+
+    /*! used in member documentation blocks to produce a list of
+     *  members that are hidden by this one.
+     */
     virtual QCString trReimplementedFromList(int numEntries)
-      // used in member documentation blocks to produce a list of
-      // members that are hidden by this one.
     {
-      return "terskapad frn "+trWriteList(numEntries)+".";
+      return "Reimplemented from "+trWriteList(numEntries)+".";
     }
+
+    /*! used in member documentation blocks to produce a list of
+     *  all member that overwrite the implementation of this member.
+     */
     virtual QCString trReimplementedInList(int numEntries)
     {
-      // used in member documentation blocks to produce a list of
-      // all member that overwrite the implementation of this member.
-      return "terskapad i "+trWriteList(numEntries)+".";
+      return "Reimplemented in "+trWriteList(numEntries)+".";
     }
 
+    /*! This is put above each page as a link to all members of namespaces. */
     virtual QCString trNamespaceMembers()
-    { return "Namnrymdsmedlemmar"; }
+    { return "Namespace Members"; }
+
+    /*! This is an introduction to the page with all namespace members */
     virtual QCString trNamespaceMemberDescription(bool extractAll)
     {
-      QCString result="Hr r en lista ver alla ";
-      if (!extractAll) result+="dokumenterade ";
-      result+="namnrymdsmedlemmar med lnkar till ";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="namespace members with links to ";
       if (extractAll)
-        result+=" namnrymd-dokumentationen fr varje medlem:";
+        result+="the namespace documentation for each member:";
       else
-        result+="de namnrymder de tillhr:";
+        result+="the namespaces they belong to:";
       return result;
     }
-
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all namespaces.
+     */
     virtual QCString trNamespaceIndex()
-    { return "Namnrymdsindex"; }
+    { return "Namespace Index"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all namespaces.
+     */
     virtual QCString trNamespaceDocumentation()
-      { return "Namnrymd-dokumentation"; }
-    //////////////////////////////////////////////////////////////////////////
+    { return "Namespace Documentation"; }
+
+//////////////////////////////////////////////////////////////////////////
 // new since 0.49-990522
 //////////////////////////////////////////////////////////////////////////
 
@@ -627,7 +761,7 @@
      *  namespaces in a file.
      */
     virtual QCString trNamespaces()
-    { return "Namnrymder"; }
+    { return "Namespaces"; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990728
@@ -638,21 +772,20 @@
      */
     virtual QCString trGeneratedFromFiles(ClassDef::CompoundType compType,
         bool single)
-    { // here s is one of " Class", " Struct" or " Union"
-      // single is true implies a single file
-      QCString result=(QCString)"Dokumentationen fr ";
+    { // single is true implies a single file
+      QCString result=(QCString)"The documentation for this ";
       switch(compType)
       {
-        case ClassDef::Class:      result+="denna klass "; break;
-        case ClassDef::Struct:     result+="denna strukt "; break;
-        case ClassDef::Union:      result+="denna union "; break;
-        case ClassDef::Interface:  result+="detta grnssnitt "; break;
-        case ClassDef::Protocol:   result+="protocol"; break; // translate me!
-        case ClassDef::Category:   result+="category"; break; // translate me!
-        case ClassDef::Exception:  result+="detta undantag "; break;
+        case ClassDef::Class:      result+="class"; break;
+        case ClassDef::Struct:     result+="struct"; break;
+        case ClassDef::Union:      result+="union"; break;
+        case ClassDef::Interface:  result+="interface"; break;
+        case ClassDef::Protocol:   result+="protocol"; break;
+        case ClassDef::Category:   result+="category"; break;
+        case ClassDef::Exception:  result+="exception"; break;
       }
-      result+="var genererad frn fljande fil";
-      if (single) result+=":"; else result+="er:";
+      result+=" was generated from the following file";
+      if (single) result+=":"; else result+="s:";
       return result;
     }
 
@@ -660,27 +793,26 @@
      * list.
      */
     virtual QCString trAlphabeticalList()
-    {
-      return "Alfabetisk lista";
-    }
+    { return "Alphabetical List"; }
+
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990901
 //////////////////////////////////////////////////////////////////////////
 
     /*! This is used as the heading text for the retval command. */
     virtual QCString trReturnValues()
-    { return "Returvrden"; }
+    { return "Return values"; }
 
     /*! This is in the (quick) index as a link to the main page (index.html)
      */
     virtual QCString trMainPage()
-    { return "Huvudsida"; }
+    { return "Main Page"; }
 
-    /*! This is used in references to page that are put in the LaTeX 
+    /*! This is used in references to page that are put in the LaTeX
      *  documentation. It should be an abbreviation of the word page.
      */
     virtual QCString trPageAbbreviation()
-    { return "s."; }
+    { return "p."; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-991003
@@ -688,11 +820,11 @@
 
     virtual QCString trDefinedAtLineInSourceFile()
     {
-      return "Definition p rad @0 i filen @1.";
+      return "Definition at line @0 of file @1.";
     }
     virtual QCString trDefinedInSourceFile()
     {
-      return "Definition i filen @0.";
+      return "Definition in file @0.";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -701,7 +833,7 @@
 
     virtual QCString trDeprecated()
     {
-      return "Frldrad";
+      return "Deprecated";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -711,129 +843,120 @@
     /*! this text is put before a collaboration diagram */
     virtual QCString trCollaborationDiagram(const char *clName)
     {
-      return (QCString)"Samarbetsdiagram fr "+clName+":";
+      return (QCString)"Collaboration diagram for "+clName+":";
     }
-    
     /*! this text is put before an include dependency graph */
     virtual QCString trInclDepGraph(const char *fName)
     {
-      return (QCString)"Include-beroendediagram fr "+fName+":";
+      return (QCString)"Include dependency graph for "+fName+":";
     }
-    
     /*! header that is put before the list of constructor/destructors. */
     virtual QCString trConstructorDocumentation()
     {
-      return "Dokumentation av konstruktorer och destruktorer"; 
+      return "Constructor & Destructor Documentation";
     }
-
     /*! Used in the file documentation to point to the corresponding sources. */
     virtual QCString trGotoSourceCode()
     {
-      return "G till denna fils kllkod.";
+      return "Go to the source code of this file.";
     }
-
     /*! Used in the file sources to point to the corresponding documentation. */
     virtual QCString trGotoDocumentation()
     {
-      return "G till denna fils dokumentation.";
+      return "Go to the documentation of this file.";
     }
-
     /*! Text for the \\pre command */
     virtual QCString trPrecondition()
     {
-      return "Frhandsvillkor";
+      return "Precondition";
     }
-
     /*! Text for the \\post command */
     virtual QCString trPostcondition()
     {
-      return "Resultat"; //"Postcondition";
+      return "Postcondition";
     }
-
     /*! Text for the \\invariant command */
     virtual QCString trInvariant()
     {
       return "Invariant";
     }
-
     /*! Text shown before a multi-line variable/enum initialization */
     virtual QCString trInitialValue()
     {
-      return "Begynnelsevrde:";
+      return "Initial value:";
     }
     /*! Text used the source code in the file index */
     virtual QCString trCode()
     {
-      return "kllkod";
+      return "code";
     }
-
     virtual QCString trGraphicalHierarchy()
     {
-      return "Grafisk klasshierarki";
+      return "Graphical Class Hierarchy";
     }
     virtual QCString trGotoGraphicalHierarchy()
     {
-      return "G till den grafiska klasshierarkin";
+      return "Go to the graphical class hierarchy";
     }
     virtual QCString trGotoTextualHierarchy()
     {
-      return "G till den textbaserade klasshierarkin";
+      return "Go to the textual class hierarchy";
     }
     virtual QCString trPageIndex()
     {
-      return "Sidindex";
+      return "Page Index";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.1.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     virtual QCString trNote()
     {
-      return "Notera";
+      return "Note";
     }
     virtual QCString trPublicTypes()
     {
-      return "Publika typer";
+      return "Public Types";
     }
     virtual QCString trPublicAttribs()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Dataflt";
+        return "Data Fields";
       }
       else
       {
-        return "Publika attribut";
+        return "Public Attributes";
       }
     }
     virtual QCString trStaticPublicAttribs()
     {
-      return "Statiska publika attribut";
+      return "Static Public Attributes";
     }
     virtual QCString trProtectedTypes()
     {
-      return "Skyddade typer";
+      return "Protected Types";
     }
     virtual QCString trProtectedAttribs()
     {
-      return "Skyddade attribut";
+      return "Protected Attributes";
     }
     virtual QCString trStaticProtectedAttribs()
     {
-      return "Statiska skyddade attribut";
+      return "Static Protected Attributes";
     }
     virtual QCString trPrivateTypes()
     {
-      return "Privata typer";
+      return "Private Types";
     }
     virtual QCString trPrivateAttribs()
     {
-      return "Privata attribut";
+      return "Private Attributes";
     }
     virtual QCString trStaticPrivateAttribs()
     {
-      return "Statiska privata attribut";
+      return "Static Private Attributes";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -843,12 +966,12 @@
     /*! Used as a marker that is put before a \\todo item */
     virtual QCString trTodo()
     {
-      return "Att-gra";
+      return "Todo";
     }
     /*! Used as the header of the todo list */
     virtual QCString trTodoList()
     {
-      return "Att-gra lista";
+      return "Todo List";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -857,24 +980,24 @@
 
     virtual QCString trReferencedBy()
     {
-      return "Refererad av";
+      return "Referenced by";
     }
     virtual QCString trRemarks()
     {
-      return "Lgg mrke till";
+      return "Remarks";
     }
     virtual QCString trAttention()
     {
-      return "Observera";
+      return "Attention";
     }
     virtual QCString trInclByDepGraph()
     {
-      return "Den hr grafen visar vilka filer som direkt eller "
-	      "indirekt inkluderar denna filen.";
+      return "This graph shows which files directly or "
+             "indirectly include this file:";
     }
     virtual QCString trSince()
     {
-      return "Sedan";
+      return "Since";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -884,36 +1007,35 @@
     /*! title of the graph legend page */
     virtual QCString trLegendTitle()
     {
-      return "Graffrklaring";
+      return "Graph Legend";
     }
-
-    /*! page explaining how the dot graph's should be interpreted 
+    /*! page explaining how the dot graph's should be interpreted
      *  The %A in the text below are to prevent link to classes called "A".
      */
     virtual QCString trLegendDocs()
     {
-      return 
-        "Den hr sidan frklarar hur man ska tolka de grafer som doxygen "
-        "genererar.<p>\n"
-        "Tag fljande exempel:\n"
+      return
+        "This page explains how to interpret the graphs that are generated "
+        "by doxygen.<p>\n"
+        "Consider the following example:\n"
         "\\code\n"
-	"/*! Osynlig klass p grund av stympning */\n"
+        "/*! Invisible class because of truncation */\n"
         "class Invisible { };\n\n"
-	"/*! Stympad klass, rvningsrelationen r dold */\n"
+        "/*! Truncated class, inheritance relation is hidden */\n"
         "class Truncated : public Invisible { };\n\n"
-	"/* Klass utan doxygen-kommentarer */\n"
+        "/* Class not documented with doxygen comments */\n"
         "class Undocumented { };\n\n"
-	"/*! Klass som rvs med publikt arv */\n"
+        "/*! Class that is inherited using public inheritance */\n"
         "class PublicBase : public Truncated { };\n\n"
-        "/*! En template-klass */\n"
+        "/*! A template class */\n"
         "template<class T> class Templ { };\n\n"
-	"/*! Klass som rvs med skyddat arv */\n"
+        "/*! Class that is inherited using protected inheritance */\n"
         "class ProtectedBase { };\n\n"
-	"/*! Klass som rvs med privat arv */\n"
+        "/*! Class that is inherited using private inheritance */\n"
         "class PrivateBase { };\n\n"
-	"/*! Klass som anvnds av Inherited klassen */\n"
+        "/*! Class that is used by the Inherited class */\n"
         "class Used { };\n\n"
-	"/*! Super klassen som rver ett antal andra klasser */\n"
+        "/*! Super class that inherits a number of other classes */\n"
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
@@ -924,47 +1046,43 @@
         "    Used *m_usedClass;\n"
         "};\n"
         "\\endcode\n"
-	"Om \\c MAX_DOT_GRAPH_HEIGHT r satt till 240 i konfigurationsfilen, "
-	"kommer fljande graf att generas:"
+        "This will result in the following graph:"
         "<p><center><img alt=\"\" src=\"graph_legend."+Config_getEnum("DOT_IMAGE_FORMAT")+"\"></center>\n"
         "<p>\n"
-	"Rektanglarna i den ovanstende grafen har fljande betydelser:\n"
+        "The boxes in the above graph have the following meaning:\n"
         "<ul>\n"
-	"<li>%En fylld svart rektangel representerar den strukt eller klass "
-	"som har genererat grafen.\n"
-	"<li>%En rektangel med svart kant symboliserar en dokumenterad "
-	"strukt eller klass.\n"
-	"<li>%En rektangel med gr kant symboliserar en odokumenterad strukt "
-	"eller klass.\n"
-	"<li>%En klass med rd kant symboliserar en strukt eller klass dr "
-	"alla dess relationer inte visas. %En graf stympas om den inte fr "
-	"plats inom de givna grnserna.\n"
+        "<li>%A filled gray box represents the struct or class for which the "
+        "graph is generated.\n"
+        "<li>%A box with a black border denotes a documented struct or class.\n"
+        "<li>%A box with a grey border denotes an undocumented struct or class.\n"
+        "<li>%A box with a red border denotes a documented struct or class for"
+        "which not all inheritance/containment relations are shown. %A graph is "
+        "truncated if it does not fit within the specified boundaries.\n"
         "</ul>\n"
-	"Pilarna har fljande betydelser:\n"
+        "The arrows have the following meaning:\n"
         "<ul>\n"
-	"<li>%En mrkbl pil anvnds fr att visualisera en publik arvrelation "
-	"mellan tv klasser.\n"
-	"<li>%En mrkgrn pil anvnds fr en skyddad arvsrelation.\n"
-	"<li>%En mrkrd pil anvnds fr en privat arvsrelation.\n"
-	"<li>%En strckad lila pil anvnds om en klass r innesluten eller "
-	"anvnd av en annan klass. Vid pilen str namnet p den eller de "
-	"variabler som klassen pilen pekar p kommer t.\n"
-	"<li>%En strckad gul pil symboliserar frhllandet mellan en "
-	"template-instans och template-klassen, som den instantierades frn.\n"
-	"Vid pilen str instansens template-parametrar.\n"
+        "<li>%A dark blue arrow is used to visualize a public inheritance "
+        "relation between two classes.\n"
+        "<li>%A dark green arrow is used for protected inheritance.\n"
+        "<li>%A dark red arrow is used for private inheritance.\n"
+        "<li>%A purple dashed arrow is used if a class is contained or used "
+        "by another class. The arrow is labeled with the variable(s) "
+        "through which the pointed class or struct is accessible.\n"
+        "<li>%A yellow dashed arrow denotes a relation between a template instance and "
+        "the template class it was instantiated from. The arrow is labeled with "
+        "the template parameters of the instance.\n"
         "</ul>\n";
     }
-
     /*! text for the link to the legend page */
     virtual QCString trLegend()
     {
-      return "frklaring";
+      return "legend";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a test item */
     virtual QCString trTest()
     {
@@ -973,7 +1091,7 @@
     /*! Used as the header of the test list */
     virtual QCString trTestList()
     {
-      return "Testlista";
+      return "Test List";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -983,7 +1101,7 @@
     /*! Used as a section header for KDE-2 IDL methods */
     virtual QCString trDCOPMethods()
     {
-      return "DCOP metoder";
+      return "DCOP Member Functions";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -993,12 +1111,12 @@
     /*! Used as a section header for IDL properties */
     virtual QCString trProperties()
     {
-		return "Egenskaper";
+      return "Properties";
     }
     /*! Used as a section header for IDL property documentation */
     virtual QCString trPropertyDocumentation()
     {
-      return "Egenskapsdokumentation";
+      return "Property Documentation";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1010,53 +1128,52 @@
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datastrukturer";
+        return "Data Structures";
       }
       else
       {
-        return "Klasser";
+        return "Classes";
       }
     }
     /*! Used as the title of a Java package */
     virtual QCString trPackage(const char *name)
     {
-      return (QCString)"Paket "+name;
+      return (QCString)"Package "+name;
     }
     /*! Title of the package index page */
     virtual QCString trPackageList()
     {
-      return "Paketlista";
+      return "Package List";
     }
     /*! The description of the package index page */
     virtual QCString trPackageListDescription()
     {
-      return "Hr r en lista ver paketen med en kort beskrivning "
-             "(om sdan finns):";
+      return "Here are the packages with brief descriptions (if available):";
     }
     /*! The link name in the Quick links header for each page */
     virtual QCString trPackages()
     {
-      return "Paket";
+      return "Packages";
     }
     /*! Text shown before a multi-line define */
     virtual QCString trDefineValue()
     {
-      return "Vrde:";
+      return "Value:";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.5
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a \\bug item */
     virtual QCString trBug()
     {
-      return "Bugg";
+      return "Bug";
     }
     /*! Used as the header of the bug list */
     virtual QCString trBugList()
     {
-      return "Bugglista";
+      return "Bug List";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1064,19 +1181,39 @@
 //////////////////////////////////////////////////////////////////////////
 
     /*! Used as ansicpg for RTF file
-	 * (used table extract:)
-	 * <pre>
+     *
+     * The following table shows the correlation of Charset name, Charset Value and
+     * <pre>
+     * Codepage number:
      * Charset Name       Charset Value(hex)  Codepage number
      * ------------------------------------------------------
+     * DEFAULT_CHARSET           1 (x01)
+     * SYMBOL_CHARSET            2 (x02)
+     * OEM_CHARSET             255 (xFF)
      * ANSI_CHARSET              0 (x00)            1252
-	 * </pre>
-	 */
+     * RUSSIAN_CHARSET         204 (xCC)            1251
+     * EE_CHARSET              238 (xEE)            1250
+     * GREEK_CHARSET           161 (xA1)            1253
+     * TURKISH_CHARSET         162 (xA2)            1254
+     * BALTIC_CHARSET          186 (xBA)            1257
+     * HEBREW_CHARSET          177 (xB1)            1255
+     * ARABIC _CHARSET         178 (xB2)            1256
+     * SHIFTJIS_CHARSET        128 (x80)             932
+     * HANGEUL_CHARSET         129 (x81)             949
+     * GB2313_CHARSET          134 (x86)             936
+     * CHINESEBIG5_CHARSET     136 (x88)             950
+     * </pre>
+     *
+     */
     virtual QCString trRTFansicp()
     {
       return "1252";
     }
 
-    /*! Used as ansicpg for RTF fcharset */
+
+    /*! Used as ansicpg for RTF fcharset
+     *  \see trRTFansicp() for a table of possible values.
+     */
     virtual QCString trRTFCharSet()
     {
       return "0";
@@ -1089,83 +1226,66 @@
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trClass(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Klass" : "klass"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "class", "es");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trFile(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Fil" : "fil"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "file", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trNamespace(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Namnrymd" : "namnrynd"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "namespace", "s");
     }
-    
+
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGroup(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Grupp" : "grupp"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "group", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trPage(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Sid" : "sid"));
-      if (singular)
-         result+="a";
-      else
-         result+="or";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "page", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trMember(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Medlem" : "medlem"));
-      if (!singular)  result+="mar";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "member", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGlobal(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Global" : "global"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "global", "s");
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1174,10 +1294,11 @@
 
     /*! This text is generated when the \\author command is used and
      *  for the author section in man pages. */
-    virtual QCString trAuthor(bool first_capital, bool /*singular*/)
+    virtual QCString trAuthor(bool first_capital, bool singular)
     {
-      QCString result((first_capital ? "Frfattare" : "frfattare"));
-      return result; 
+      QCString result((first_capital ? "Author" : "author"));
+      if (!singular)  result+="s";
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1188,19 +1309,19 @@
      */
     virtual QCString trReferences()
     {
-      return "Referenser";
+      return "References";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.13
 //////////////////////////////////////////////////////////////////////////
 
-    /*! used in member documentation blocks to produce a list of 
+    /*! used in member documentation blocks to produce a list of
      *  members that are implemented by this one.
      */
     virtual QCString trImplementedFromList(int numEntries)
     {
-      return "Implementerar "+trWriteList(numEntries)+".";
+      return "Implements "+trWriteList(numEntries)+".";
     }
 
     /*! used in member documentation blocks to produce a list of
@@ -1208,7 +1329,7 @@
      */
     virtual QCString trImplementedInList(int numEntries)
     {
-      return "Implementerad i "+trWriteList(numEntries)+".";
+      return "Implemented in "+trWriteList(numEntries)+".";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1220,36 +1341,36 @@
      */
     virtual QCString trRTFTableOfContents()
     {
-      return "Innehllsfrteckning";
+      return "Table of Contents";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.17
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as the header of the list of item that have been 
-     *  flagged deprecated 
+    /*! Used as the header of the list of item that have been
+     *  flagged deprecated
      */
     virtual QCString trDeprecatedList()
     {
-      return "Lista ver frldrade";
+      return "Deprecated List";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.18
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as a header for declaration section of the events found in 
+    /*! Used as a header for declaration section of the events found in
      * a C# program
      */
     virtual QCString trEvents()
     {
-      return "Hndelser";
+      return "Events";
     }
     /*! Header used for the documentation section of a class' events. */
     virtual QCString trEventDocumentation()
     {
-      return "Hndelse Dokumentation";
+      return "Event Documentation";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1259,79 +1380,79 @@
     /*! Used as a heading for a list of Java class types with package scope.
      */
     virtual QCString trPackageTypes()
-    { 
-      return "Paket typer";
+    {
+      return "Package Types";
     }
-    /*! Used as a heading for a list of Java class functions with package 
-     * scope. 
+    /*! Used as a heading for a list of Java class functions with package
+     * scope.
      */
     virtual QCString trPackageMembers()
-    { 
-      return "Paket funktioner";
+    {
+      return "Package Functions";
     }
-    /*! Used as a heading for a list of static Java class functions with 
+    /*! Used as a heading for a list of static Java class functions with
      *  package scope.
      */
     virtual QCString trStaticPackageMembers()
-    { 
-      return "Statiska paket funktioner";
+    {
+      return "Static Package Functions";
     }
-    /*! Used as a heading for a list of Java class variables with package 
+    /*! Used as a heading for a list of Java class variables with package
      * scope.
      */
     virtual QCString trPackageAttribs()
-    { 
-      return "Paket attribut";
+    {
+      return "Package Attributes";
     }
-    /*! Used as a heading for a list of static Java class variables with 
+    /*! Used as a heading for a list of static Java class variables with
      * package scope.
      */
     virtual QCString trStaticPackageAttribs()
-    { 
-      return "Statiska paket attribut";
+    {
+      return "Static Package Attributes";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.3.1
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used in the quick index of a class/file/namespace member list page 
+    /*! Used in the quick index of a class/file/namespace member list page
      *  to link to the unfiltered list of all members.
      */
     virtual QCString trAll()
     {
-      return "Alla";
+      return "All";
     }
     /*! Put in front of the call graph for a function. */
     virtual QCString trCallGraph()
     {
-      return "Hr r anropnings diagrammet fr den hr funktionen:";
+      return "Here is the call graph for this function:";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.3.3
 //////////////////////////////////////////////////////////////////////////
 
-    /*! When the search engine is enabled this text is put in the header 
-     *  of each page before the field where one can enter the text to search 
-     *  for. 
+    /*! When the search engine is enabled this text is put in the header
+     *  of each page before the field where one can enter the text to search
+     *  for.
      */
     virtual QCString trSearchForIndex()
     {
-      return "Sk efter";
+      return "Search for";
     }
     /*! This string is used as the title for the page listing the search
      *  results.
      */
     virtual QCString trSearchResultsTitle()
     {
-      return "Skresultat";
+      return "Search Results";
     }
     /*! This string is put just before listing the search results. The
      *  text can be different depending on the number of documents found.
      *  Inside the text you can put the special marker $num to insert
      *  the number representing the actual number of search results.
-     *  The @a numDocuments parameter can be either 0, 1 or 2, where the 
+     *  The @a numDocuments parameter can be either 0, 1 or 2, where the
      *  value 2 represents 2 or more matches. HTML markup is allowed inside
      *  the returned string.
      */
@@ -1339,24 +1460,24 @@
     {
       if (numDocuments==0)
       {
-        return "Tyvrr finns det inga dokument som matchar din skning.";
+        return "Sorry, no documents matching your query.";
       }
       else if (numDocuments==1)
       {
-        return "Hittade <b>1</b> dokument som matchar din skning.";
+        return "Found <b>1</b> document matching your query.";
       }
-      else 
+      else
       {
-        return "Hittade <b>$num</b> dokument som matchar din skning. "
-               "Visar de bsta trffarna frst.";
+        return "Found <b>$num</b> documents matching your query. "
+               "Showing best matches first.";
       }
     }
-    /*! This string is put before the list of matched words, for each search 
+    /*! This string is put before the list of matched words, for each search
      *  result. What follows is the list of words that matched the query.
      */
     virtual QCString trSearchMatches()
     {
-      return "Trffar:";
+      return "Matches:";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1367,7 +1488,7 @@
      */
     virtual QCString trSourceFile(QCString& filename)
     {
-      return "Kllkodsfilen " + filename;
+      return filename + " Source File";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1378,42 +1499,42 @@
      *  hierarchy.
      */
     virtual QCString trDirIndex()
-    { return "Katalogstruktur"; }
+    { return "Directory Hierarchy"; }
 
     /*! This is used as the name of the chapter containing the documentation
      *  of the directories.
      */
     virtual QCString trDirDocumentation()
-    { return "Katalogdokumentation"; }
+    { return "Directory Documentation"; }
 
     /*! This is used as the title of the directory index and also in the
-     *  Quick links of a HTML page, to link to the directory hierarchy.
+     *  Quick links of an HTML page, to link to the directory hierarchy.
      */
     virtual QCString trDirectories()
-    { return "Kataloger"; }
+    { return "Directories"; }
 
-    /*! This returns a sentences that introduces the directory hierarchy. 
+    /*! This returns a sentences that introduces the directory hierarchy.
      *  and the fact that it is sorted alphabetically per level
      */
     virtual QCString trDirDescription()
-	{ return "Den hr katalogen r grovt sorterad, "
-             "men inte helt, i alfabetisk ordning:";
+    { return "This directory hierarchy is sorted roughly, "
+             "but not completely, alphabetically:";
     }
 
     /*! This returns the title of a directory page. The name of the
      *  directory is passed via \a dirName.
      */
     virtual QCString trDirReference(const char *dirName)
-    { QCString result=dirName; result+=" Katalogreferens"; return result; }
+    { QCString result=dirName; result+=" Directory Reference"; return result; }
 
     /*! This returns the word directory with or without starting capital
      *  (\a first_capital) and in sigular or plural form (\a singular).
      */
     virtual QCString trDir(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Katalog" : "katalog"));
-      if (!singular) result+="er";
-      return result; 
+    {
+      QCString result((first_capital ? "Director" : "director"));
+      if (singular) result+="y"; else result+="ies";
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1425,13 +1546,241 @@
      */
     virtual QCString trOverloadText()
     {
-      return "Det hr r en verlagrad medlemsfunktion "
-             "tillhandahllen fr bekvmlighet. Den enda som "
-             "skiljer sig frn ovanstende funktion r vilka "
-             "argument den tar emot.";
+       return "This is an overloaded member function, "
+              "provided for convenience. It differs from the above "
+              "function only in what argument(s) it accepts.";
     }
 
-	
+//////////////////////////////////////////////////////////////////////////
+// new since 1.4.6
+//////////////////////////////////////////////////////////////////////////
+
+    /*! This is used to introduce a caller (or called-by) graph */
+    virtual QCString trCallerGraph()
+    {
+      return "Here is the caller graph for this function:";
+    }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for enumeration values
+     */
+    virtual QCString trEnumerationValueDocumentation()
+    {
+      return "Enumerator Documentation";
+    }
+
+//////////////////////////////////////////////////////////////////////////
+// new since 1.5.4 (mainly for Fortran)
+//////////////////////////////////////////////////////////////////////////
+
+    /*! header that is put before the list of member subprograms (Fortran). */
+    virtual QCString trMemberFunctionDocumentationFortran()
+    { return "Member Function/Subroutine Documentation"; }
+
+    /*! This is put above each page as a link to the list of annotated data types (Fortran). */
+    virtual QCString trCompoundListFortran()
+    { return "Data Types List"; }
+
+    /*! This is put above each page as a link to all members of compounds (Fortran). */
+    virtual QCString trCompoundMembersFortran()
+    { return "Data Fields"; }
+
+    /*! This is an introduction to the annotated compound list (Fortran). */
+    virtual QCString trCompoundListDescriptionFortran()
+    { return "Here are the data types with brief descriptions:"; }
+
+    /*! This is an introduction to the page with all data types (Fortran). */
+    virtual QCString trCompoundMembersDescriptionFortran(bool extractAll)
+    {
+      QCString result="Here is a list of all ";
+      if (!extractAll)
+      {
+        result+="documented ";
+      }
+      result+="data types members";
+      result+=" with links to ";
+      if (!extractAll)
+      {
+         result+="the data structure documentation for each member";
+      }
+      else
+      {
+         result+="the data types they belong to:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     * annotated compound index (Fortran).
+     */
+    virtual QCString trCompoundIndexFortran()
+    { return "Data Type Index"; }
+
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all data types (Fortran).
+     */
+    virtual QCString trTypeDocumentation()
+    { return "Data Type Documentation"; }
+
+    /*! This is used in the documentation of a file as a header before the
+     *  list of (global) subprograms (Fortran).
+     */
+    virtual QCString trSubprograms()
+    { return "Functions/Subroutines"; }
+
+    /*! This is used in the documentation of a file/namespace before the list
+     *  of documentation blocks for subprograms (Fortran)
+     */
+    virtual QCString trSubprogramDocumentation()
+    { return "Function/Subroutine Documentation"; }
+
+    /*! This is used in the documentation of a file/namespace/group before
+     *  the list of links to documented compounds (Fortran)
+     */
+     virtual QCString trDataTypes()
+    { return "Data Types"; }
+
+    /*! used as the title of page containing all the index of all modules (Fortran). */
+    virtual QCString trModulesList()
+    { return "Modules List"; }
+
+    /*! used as an introduction to the modules list (Fortran) */
+    virtual QCString trModulesListDescription(bool extractAll)
+    {
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="modules with brief descriptions:";
+      return result;
+    }
+
+    /*! used as the title of the HTML page of a module/type (Fortran) */
+    virtual QCString trCompoundReferenceFortran(const char *clName,
+                                    ClassDef::CompoundType compType,
+                                    bool isTemplate)
+    {
+      QCString result=(QCString)clName;
+      switch(compType)
+      {
+        case ClassDef::Class:      result+=" Module"; break;
+        case ClassDef::Struct:     result+=" Type"; break;
+        case ClassDef::Union:      result+=" Union"; break;
+        case ClassDef::Interface:  result+=" Interface"; break;
+        case ClassDef::Protocol:   result+=" Protocol"; break;
+        case ClassDef::Category:   result+=" Category"; break;
+        case ClassDef::Exception:  result+=" Exception"; break;
+      }
+      if (isTemplate) result+=" Template";
+      result+=" Reference";
+      return result;
+    }
+    /*! used as the title of the HTML page of a module (Fortran) */
+    virtual QCString trModuleReference(const char *namespaceName)
+    {
+      QCString result=namespaceName;
+      result+=" Module Reference";
+      return result;
+    }
+
+    /*! This is put above each page as a link to all members of modules. (Fortran) */
+    virtual QCString trModulesMembers()
+    { return "Module Members"; }
+
+    /*! This is an introduction to the page with all modules members (Fortran) */
+    virtual QCString trModulesMemberDescription(bool extractAll)
+    {
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="module members with links to ";
+      if (extractAll)
+      {
+        result+="the module documentation for each member:";
+      }
+      else
+      {
+        result+="the modules they belong to:";
+      }
+      return result;
+    }
+
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all modules (Fortran).
+     */
+    virtual QCString trModulesIndex()
+    { return "Modules Index"; }
+
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trModule(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Module" : "module"));
+      if (!singular)  result+="s";
+      return result;
+    }
+    /*! This is put at the bottom of a module documentation page and is
+     *  followed by a list of files that were used to generate the page.
+     */
+    virtual QCString trGeneratedFromFilesFortran(ClassDef::CompoundType compType,
+        bool single)
+    {
+      // single is true implies a single file
+      QCString result=(QCString)"The documentation for this ";
+      switch(compType)
+      {
+        case ClassDef::Class:      result+="module"; break;
+        case ClassDef::Struct:     result+="type"; break;
+        case ClassDef::Union:      result+="union"; break;
+        case ClassDef::Interface:  result+="interface"; break;
+        case ClassDef::Protocol:   result+="protocol"; break;
+        case ClassDef::Category:   result+="category"; break;
+        case ClassDef::Exception:  result+="exception"; break;
+      }
+      result+=" was generated from the following file";
+      if (single) result+=":"; else result+="s:";
+      return result;
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trType(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Type" : "type"));
+      if (!singular)  result+="s";
+      return result;
+    }
+    /*! This is used for translation of the word that will possibly
+     *  be followed by a single name or by a list of names
+     *  of the category.
+     */
+    virtual QCString trSubprogram(bool first_capital, bool singular)
+    {
+      QCString result((first_capital ? "Subprogram" : "subprogram"));
+      if (!singular)  result+="s";
+      return result;
+    }
+
+    /*! C# Type Constraint list */
+    virtual QCString trTypeConstraints()
+    {
+      return "Type Constraints";
+    }
+
+/*---------- For internal use: ----------------------------------------*/
+  protected:
+    /*! For easy flexible-noun implementation.
+     *  \internal
+     */
+    QCString createNoun(bool first_capital, bool singular,
+			const char* base, const char* plurSuffix)
+    {
+      QCString result(base);
+      if (first_capital) result.at(0) = toupper(result.at(0));
+      if (!singular)  result+=plurSuffix;
+      return result;
+    }
+
 };
 
 #endif
